2023-10-13 Mike Gabriel

        * release 0.5.93 (HEAD -> master, tag: 0.5.93)

2023-09-10 Mike Gabriel

        * Merge branch 'tari01-pr/enable-docs' (a80f3b7)

2023-09-07 Robert Tari

        * CMakeLists.txt: Generate GTK documentation by default (277f584)

2023-08-10 Robert Tari

        * README.md: Fix title copy-paste mistake (05ee0c7)

2023-09-07 Robert Tari

        * Merge branch 'tyll-executable_so' (54fc06c)

2023-09-06 Till Maas

        * cmake: Install library as library (12dc6d2)

2023-08-10 Mike Gabriel

        * debian/libayatana-appindicator*.symbols: Update .symbols after
          having limited the number of exported symbols. (86f8bb3)
        * Merge branch 'tari01-pr/limit-symbols' (ef6ee22)

2023-08-09 Robert Tari

        * Limit exported symbols (4d97676)

2023-08-10 Mike Gabriel

        * Merge branch 'tari01-pr/build-instructions' (2a3ed01)

2023-08-09 Robert Tari

        * Add info and build instructions (e0c8e15)

2023-08-10 Mike Gabriel

        * Merge branch 'tari01-pr/drop-dbus-glib' (3b69c23)

2023-08-09 Robert Tari

        * .build.yml: Drop dbus-glib and dbus dependencies (d6cdc24)
        * debian/control: Drop libdbus-glib-1-dev and libdbus-1-dev (1ac50df)
        * Replace DBus-GLib with GDBus and drop libdus (f3cf535)
        * tests/test-libappindicator.c: Drop unread value (25001b0)

2023-08-07 Mike Gabriel

        * Merge branch 'WPettersson-document-status' (9201035)

2023-07-20 William Pettersson

        * Document the status property a bit more clearly. (864b830)

2023-06-07 Mike Gabriel

        * Merge branch 'tari01-pr/build-fixes' (2b32292)

2023-03-11 Robert Tari

        * .build.yml: Add doc requirements and build with GTKDOC (05913e6)
        * bindings/mono/CMakeLists.txt: Drop path from linked resource file
          (e67e62e)
        * src/app-indicator.c: Don't use GNU old-style field designator
          extension (d848644)

2023-03-10 Robert Tari

        * src/app-indicator.c: Fix documentation related errors (f7f4a8d)
        * Explicitly mark deprecated functions and use substitutes (aec1741)
        * src/AyatanaAppIndicator*-0.1.metadata: Drop unused metadata
          (483cd99)
        * bindings/mono/CMakeLists.txt: Drop unused properties (6f8cdd5)
        * bindings/mono/libayatana-appindicator*-api.metadata: Drop/fix
          properties, methods and signals (833d2c9)
        * Whitespace fix (9f92d34)

2023-02-02 Mike Gabriel

        * release 0.5.92 (d214fe3) (tag: 0.5.92)
        * Merge branch 'tari01-pr/fix-build-warnings' (4f9c4e9)

2022-07-15 Robert Tari

        * Fix all remaining build warnings (694ab4e)

2022-08-19 Robert Tari

        * src/app-indicator.c: Fix wrong function signatures (0231964)

2022-07-15 Robert Tari

        * Silence warnings generated by Vala (d305bda)

2022-07-14 Robert Tari

        * Fix remaining deprecation warnings (44a82a0)

2022-07-13 Robert Tari

        * src/app-indicator.c: Silence GtkStatusIcon deprecation warnings
          (cc27f13)
        * Whitespace fix (28d2178)

2022-04-08 Mike Gabriel

        * release 0.5.91 (f225dcc) (tag: 0.5.91)
        * Merge branch 'pr/discord-segfaulting' (59e472a)

2022-04-01 Mike Gabriel

        * src/appindicator.c: Clean up all g_signal_emit and g_signal_new
          calls so that they correspond with each other. (05dee64)
        * src/appindicator.c: Fix path NULL check in status_icon_change().
          (540b7bf)

2022-04-01 Robert Tari

        * Merge branch 'sunweaver-pr/gpl-3-copying-file' (5b0a474)

2022-04-01 Mike Gabriel

        * COPYING.GPL.3: Add file. Some code files are licensed GPL-3. Thanks
          to Luca Weiss for spotting this. (6c01f2c)

2022-02-16 Mike Gabriel

        * Merge branch 'tari01-pr/cleanup-compile-flags' (420dcd2)

2022-02-11 Robert Tari

        * .build.yml: Drop extra compilation flags (0ea872f)
        * Clean up compilation flags (e6b34ef)

2022-02-09 Robert Tari

        * Merge branch 'sunweaver-pr/let-run-xvfv-sh-run-in-bin-sh' (3bec2d1)

2022-02-08 Mike Gabriel

        * tests/run-xvfb.sh: Allow sourcing run-xvfb.sh with /bin/sh.
          (772bab7)
        * Merge branch 'z3ntu-tests-bash' (ea135ed)

2022-02-06 Luca Weiss

        * Use /bin/sh for running tests (dc4d76b)

2022-02-08 Robert Tari

        * .travis.yml: Run CI builds on Travis CI's Ubuntu focal base system
          (b09086c)

2022-01-27 Robert Tari

        * Merge branch 'sunweaver-pr/pkg-config-file-for-gtk2-broken'
          (43cfc1e)

2021-12-21 Mike Gabriel

        * src/ayatana-appindicator3-0.1.pc.in: Update description field and
          mention GTK-3+. (1f74aa3)
        * src/ayatana-appindicator-0.1.pc.in: Adapt file for CMake builds.
          This slipped through when porting from autotools to CMake,
          it seems. (Thanks to Unit193 for reporting this via IRC).
          (7019d68)

2021-12-08 Mike Gabriel

        * Merge branch 'z3ntu-canonicalize_file_name' (e689457)

2021-12-07 Luca Weiss

        * Fix build with musl libc (89415c0)

2021-11-18 Mike Gabriel

        * release 0.5.90 (afb37c4) (tag: 0.5.90)

2021-10-24 Mike Gabriel

        * debian/rules: Unset DBUS_SESSION_BUS_ADDRESS before running tests.
          (2bf2076)
        * CMakeLists.txt: Fix how we evaluate the result for find_program for
          gtkdoc-scan. (ea91c02)
        * CMakeLists.txt: Fix gtkdoc-scan binary name. (d008320)

2021-10-24 Robert Tari

        * Merge branch 'sunweaver-pr/run-tests-in-build_scripts-target'
          (c3f146d)

2021-10-24 Mike Gabriel

        * .build.yml. Run unit tests directly after build in build_scripts:
          target. (a6c9ba8)

2021-10-24 Robert Tari

        * Merge branch 'sunweaver-pr/dbus-test-runner-keep-env' (c2f6dc5)
        * Merge branch 'sunweaver-pr/fix-mono-bindings-for-gtk3' (06df5ff)

2021-10-24 Mike Gabriel

        * tests/CMakeLists.txt: Assure that modified outside environment
          variables (see debian/rules) survive into the
          dbus-test-runner wrapped environment. (471a7ac)
        * .build.yml: Fix building and running unit tests (mixed up of && and
          ||). (52bade6)
        * .build.yml: Drop local builds of ayatana-ido and
          libayatana-indicator. They confuse cppcheck. (d34e805)
        * .build.yml: Fix rebuild with gcc on multi-core build nodes.
          (3a6def5)
        * .build.yml and debian/control: Sync list and order of
          build-dependencies (Debian and Ubuntu). (074fb94)
        * bindings/mono/CMakeLists.txt: Fix missing target
          bindings/mono/AyatanaAppIndicator/ApplicationIndicator.cs.
          (c8b0ce5)

2021-10-24 Robert Tari

        * Merge branch 'sunweaver-pr/gi-is-mandatory' (adaf4e3)
        * .build.yml: Fix typo (12f77f0)

2021-10-23 Mike Gabriel

        * CMakeLists.txt: White-space fix (remove superfluous empty line).
          (289797b)
        * CMakeLists.txt: Check for presence of gtk-doc executable if
          -DENABLE_GTKDOC=ON. (aaac9d8)
        * {,bindings/}CMakeLists.txt: Add switch for enabling/disabling
          bindings (enabled by default). (9673233)

2021-10-24 Robert Tari

        * .build.yml: Fix typo (f720888)
        * Merge branch 'sunweaver-pr/check-for-gtk-doc' (ba37cb9)

2021-10-23 Mike Gabriel

        * {,bindings/}CMakeLists.txt: Add switch for enabling/disabling
          bindings (enabled by default). (d80057c)

2021-10-24 Robert Tari

        * Merge branch 'sunweaver-pr/make-bindings-optional' (62c77b5)

2021-10-23 Mike Gabriel

        * src/CMakeLists.txt: GObjectIntrospection is not optional, so mark
          it as REQUIRED (only). (c3e24c2)
        * CMakeLists.txt: White-space fix (remove superfluous empty line).
          (3bbad2a)
        * CMakeLists.txt: Check for presence of gtk-doc executable if
          -DENABLE_GTKDOC=ON. (5ffca10)
        * {,bindings/}CMakeLists.txt: Add switch for enabling/disabling
          bindings (enabled by default). (7e5b7d8)

2021-10-23 Robert Tari

        * Merge branch 'sunweaver-pr/bring-back-gtk2-build-support' (7e4b671)
        * Merge branch 'sunweaver-pr/add-enable-gtkdoc-cmake-option'
          (69f8357)

2021-10-23 Mike Gabriel

        * .build.yml: Drop autogen.sh support; add GTK+-2.0 build and test
          support; also run unit tests on Ubuntu. (91bddd9)
        * debian/*: Re-enable / uncomment GTK+ 2.0 support. (152bf4e)
        * Re-introduce (CMake based) build support against GTK+ 2.0.
          (c723768)
        * CMakeLists: Introduce -DENABLE_GTKDOC. (1245eb7)

2021-10-22 Mike Gabriel

        * debian/rules: Run GTK3 unit tests first (see if they also fail on
          Jenkins). (61bb127)
        * debian/rules: Also explicitly set XDG_CACHE_HOME for unit tests.
          (4de805f)
        * debian/rules: Also set XDG_DATA_HOME for unit tests. (800f06c)

2021-10-20 Robert Tari

        * .travis.yml: Temporarily disable ppc64le builds (7bb8af0)
        * .travis.yml: Temporarily disable ppc64le builds (38190d0)

2021-08-10 Mike Gabriel

        * Merge branch 'tari01-pr/add-enable-werror-option' (e7d58e5)

2021-08-09 Robert Tari

        * Add ENABLE_WERROR option (8d3a18b)

2021-06-11 Robert Tari

        * Merge branch 'sunweaver-pr/debian-fix-gtk-3-only-builds' (c173a0e)

2021-06-11 Mike Gabriel

        * debian/*: Fix DEB builds (GTK-3+ only for now) after CMake
          switch-over. (5826955)

2021-06-11 Robert Tari

        * Merge branch 'sunweaver-pr/mono-namespacing-fix' (909558a)

2021-06-11 Mike Gabriel

        * Mono bindings: Change namespace from ayatana-appindicator-sharp3 to
          ayatana-appindicator3-sharp (and similar). (d359a4b)

2021-06-10 Mike Gabriel

        * debian/changelog: Bump package version to 0.5.90. (301b56f)
        * Merge branch 'tari01-pr/move-to-cmake' (80245fc)

2021-06-09 Robert Tari

        * bindings/vala/ayatana-appindicator3-0.1.deps: Add all dependencies
          (fd8225e)

2021-06-03 Robert Tari

        * .build.yml: Add libdbus-1-dev dependency for Debian/Ubuntu
          (edc83f3)

2021-06-02 Robert Tari

        * .build.yml: Add gtk-sharp3-gapi dependency for Debian/Ubuntu
          (363301e)

2021-06-01 Robert Tari

        * .build.yml: Add libgtk3.0-cil-dev dependency (56c2732)

2021-02-27 Robert Tari

        * Drop Automake files (ec32948)
        * Drop legacy GTK files (93f8f78)
        * Add CMakeLists.txt files + cmake/ helpers (367188d)
        * bindings/mono/examples: Port ayatana-indicator-example.in to CMake
          (2d8c300)
        * bindings/mono: Drop custom extension and use partial class in
          ApplicationIndicatorCustom.cs (33422a5)
        * bindings/vala: Add ayatana-appindicator3-0.1.deps (3ed807d)
        * bindings/mono: Rename and port
          ayatana-appindicator-sharp3-0.1.pc.in to CMake (e16b735)
        * src: Port ayatana-appindicator3-0.1.pc.in to CMake (7b0ede1)
        * bindings/mono: Use preconfigured
          ayatana-appindicator-sharp.dll.config (a52688b)
        * docs/reference: Port version.xml.in to CMake (1d8eec2)
        * docs/reference: Port libayatana-appindicator-docs.sgml.in to CMake
          (3ebb89d)
        * bindings/mono: Port policy.0.1.ayatana-appindicator-sharp.config.in
          to CMake (0df68d8)
        * bindings/mono: Port policy.0.0.ayatana-appindicator-sharp.config.in
          to CMake (290c62f)
        * bindings/mono: Update AssemblyInfo.cs (00f0e2c)
        * bindings/mono: Port app-indicator.sources.xml.in to CMake (4e06a0e)
        * src: use preconfigured AyatanaAppIndicator3-0.1.metadata (5004d72)

2021-05-25 Robert Tari

        * Merge branch 'sunweaver-pr/travis-ci' (3148485)

2021-05-25 Mike Gabriel

        * configure.ac: Default to GTK+-3.0 build (will come with CMake
          switch, anyway). (3400cf9)
        * {src,tests}/Makefile.am: Drop -Werror flag for now. Needs to be
          re-added later. (32f5f11)
        * Travis CI: Add initial scripts for running CI builds on Travis CI.
          (13f7ad0)

2021-05-03 Mike Gabriel

        * debian/rules: Make really really sure that unit tests are not run
          in parallel (although this looks ugly). (826f848)

2021-05-01 Mike Gabriel

        * Merge branch 'pr/fix-unit-tests' (1defcc3)

2021-04-30 Mike Gabriel

        * debian/rules: Switch to official Debian's dotest-% target. This
          stops ignoring unit tests during DEB package buids (and
          also fixes them). (6173997)
        * tests/Makefile.am: Add --keep-env option to dbus-test-runner calls.
          Allows propagating e.g. a build HOME into the DBus test
          environment. (04a517e)

2020-07-23 Mike Gabriel

        * release 0.5.5 (c43a76e) (tag: 0.5.5)
        * debian/rules: Explicitly set XDG_CACHE_HOME during unit tests, too.
          Hope this amends the dconf errors spotted lately.
          (c11784b)
        * debian/rules: Fix dh_auto_test call in dotest-%: target. (91ec65e)
        * debian/control: Drop R³ field again, it causes FTBFS on Ubuntu
          bionic in their version of dh_makeclilibs. (71dfd0a)
        * debian/rules: Drop more Python2 build stuff, esp. references to
          Py2-version specific builds. (05ebffc)
        * debian/changelog: Fix typo in previous changelog stanza's date.
          (1c48b44)

2020-07-22 Mike Gabriel

        * configure.ac: Drop Python section that configured the build for
          Python2 bindings. (50e147a)

2020-07-20 Mike Gabriel

        * configure.ac: No more reference to Python2 ayatana_appindicator
          bindings. (6af5e32)

2020-07-19 Mike Gabriel

        * debian/rules: Drop reference to python2 build of remove bin:pkg
          python-ayatana-appindicator. (7373261)

2020-07-18 Mike Gabriel

        * debian/control: Port over changes from official Debian packaging.
          (43dc072)
        * bindings/pyton: Drop Python2/Gtk-2 bindings. (8c4c6db)
        * debian/*: Drop Python2 binding support. (eb5ffbb)

2019-11-11 Mike Gabriel

        * release 0.5.4 (5ca235f) (tag: 0.5.4)

2019-08-29 Mike Gabriel

        * Avoid deprecated g_type_class_add_private. (e7acaf9)

2018-03-22 Mike Gabriel

        * debian/control: Add Ds for libgtk*-dev to
          libaytana-appindicator*-dev. (f9d315a)

2018-03-20 Mike Gabriel

        * debian/control: Drop from Recommends:
          ayatana-indicator-application. The -application Indicator
          should be pulled in from the desktop env's side that wants
          to utilize it (e.g. via the indicator-render applet).
          (7b7bd6b)
        * release 0.5.3 (4892a12) (tag: 0.5.3)
        * src/app-indicator.c: Type cast assignments from g_object_ref().
          (b14ba33)

2017-10-26 Mike Gabriel

        * {configure.ac,Makefile.am}: Drop distcheck features. (d4b1697)

2017-10-24 Mike Gabriel

        * release 0.5.2 (a081ea2) (tag: 0.5.2)
        * debian/source/format: Explicitly set to source format 1.0.
          (82f779a)
        * debian/upstream/signing-key.asc: Add upstream signing key.
          (34f4291)
        * debian/control: Use Github repo in Vcs-*: URL fields. (5f9176e)
        * debian/control: Bump Standards-Version: to 4.1.1. No changes
          needed. (f8fccd9)
        * debian/control: Fix Homepage: URL. (7a4fb33)
        * debian/*.install: Adapt .typelib installation paths (to
          multi-arch). (eff5282)
        * debian/control: Various adaptation to SYNOPSIS and LONG_DESCRIPTION
          fields. (eb9d5a1)
        * debian/rules: Only dh_install cil packages on architectures that
          support Mono. (6a978fc)
        * debian/rules: Enable all hardening flags. (906c9a4)
        * debian/copyright: Adopt from official Debian package (slightly
          modified). (3a09566)
        * debian/rules: White space fix. (af533aa)
        * API documentation: Suppress some warnings being thrown. (c3c9e79)
        * python2 bindings: Finally avoid implicit declaration for
          (_ayatana)_appindicator_add_constants() function symbol.
          (d89dee1)

2017-10-06 Mike Gabriel

        * debian/control: Add to B-D: dh-python. (024cc53)

2017-10-05 Mike Gabriel

        * src/app-indicator.c: Avoid usage of PATH_MAX macro. Fixes FTBFS on
          Debian GNU/Hurd. (bc7f683)

2017-09-29 Mike Gabriel

        * Revert "debian/{control,compat}: Bump DH version level to 10 (and
          bump B-D to >= 10)." (c17c300)
        * post-release project name fix in debian/changelog (4388914)
        * debian/control: Add missing , at EOL under B-D. (0303c95)

2017-09-28 Mike Gabriel

        * debian/{control,rules}: Update supported host architectures.
          (9164fa6)
        * debian/{control,compat}: Bump DH version level to 10 (and bump B-D
          to >= 10). (9c19888)
        * bindings/mono/Makefile.am: Don't run tests on all targets, only on
          check target. Fixes FTBFS when built parallely. (65e8d53)

2017-09-26 Mike Gabriel

        * debian/changelog: Post-release fix in date string of 0.5.0 release
          stanza. (303ab50)
        * bindings/python: Yet another 'ayatana' namespace fix for the
          Python2 bindings. (ee1719a)

2017-09-23 Mike Gabriel

        * release 0.5.1 (c3dc683) (tag: 0.5.1)
        * Python2 bindings: Fix import ayatana_appindicator failure by
          correctly adding the ayatana namespace. (8a97153)
        * docs/reference/Makefile.am: Drop option --nogtkinit from
          SCANGOBJ_OPTIONS. Has been long deprecated in scangobj and
          been removed in gtk-doc (>= 1.26). (75d83e0)

2017-05-22 Mike Gabriel

        * release 0.5.0 (73a2c16) (tag: 0.5.0)
        * autogen.sh: Fix PKG_NAME. Use ayatana- in PKG_NAME. (bd7789c)

2017-05-15 Marco Trevisan (Treviño)

        * app-indicator: don't append the snap prefix if the icon is saved in
          a well known readable path (0f55cbb)
        * AppIndicator: don't emit label cahanges when guide is still empty
          (20e557b)
        * AppIndicator: fix icon and theme paths when running in $SNAP
          environment (5b851ff)

2017-05-15 Alberts Muktupāvels

        * Handle watcher service appearing and disappearing. (17376e1)

2017-05-15 Dmitry Shachnev

        * Make test-simple-app really working. (14520bd)

2017-05-15 Mike Gabriel

        * build system: Switch to mate-common. (b0a3d75)
        * src/dbus-shared.h: Fix copy+paste flaw for
          INDICATOR_APPLICATION_DBUS_OBJ. (4dd25fc)

2015-11-11 Mike Gabriel

        * debian/rules: Use  instead of `pwd`. (3dbc56b)
        * Re-rename README.md to README. Otherwise automake will complain.
          (8f3e225)
        * README.md: Don't sound Ubuntu-hostile (which we aren't). (d7266c0)
        * Rename README -> README.md, fill with content. (b63351e)
        * tests/run-xvfb.sh: Give tests even more time (10s). (742c033)
        * tests/run-xvfb.sh: Give tests more time (4s instead of 2s) to
          complete. This may help with observed / arbitrary test
          failures when built on jenkins.arctica-project.org.
          (c6d4799)
        * debian/control: Fix versioned build-dependency for
          libayatana-indicator{,3}-dev. (6b3a341)
        * Revert "debian/rules: Make sure the kill command is found in ..."
          (d9c905e)
        * debian/rules: Make sure the kill command is found in
          /home/mike/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/games:/usr/games:/opt/thinlinc/bin.
          (1abf3ea)
        * debian/rules: Use backticks instead of $(<cmd>) (which is not a GNU
          make way of invoking commands). (1a915b2)
        * debian/rules: Provide temporary home for test suite runs. (865dd82)
        * debian/rules: Expect tests/test-suite.log files in build/gtk<ver>
          subdirs. (7ded69d)
        * debian/rules: Don't abort build on failing tests (so that we see
          the tests-suite.log file). (d95085e)
        * debian/rules: View test's log file for better debugging of problems
          when built in clean chroots. (0d6f90a)
        * debian/control: Add B-D: procps. The test suite complains about the
          ps command to be missing in minimal build environments.
          (5f0eee4)
        * Drop .bzrignore file. (c7c92ab)

2015-11-10 Mike Gabriel

        * debian/control: Fix build-dependency issue for nightly builds.
          (5952912)

2015-11-09 Mike Gabriel

        * Fork from Ubuntu's libappindicator project. (def21c2)

2014-11-10 CI bot

        * Releasing 12.10.1+15.04.20141110-0ubuntu1 (bf7bc28)

2014-11-10 Lars Uebernickel

        * scroll-event: change parameter to the right type (9cb1df0)

2014-11-10 Matthias Klose

        * Rebuild to drop files installed into /usr/share/pyshared. (643fad3)

2014-11-10 Lars Uebernickel

        * gcov.m4: add lcov 1.11 (cd218c8)
        * scroll-event: change parameter to the right type (ae927bc)

2013-12-19 Ted Gould

        * Fix build failures on trusty.
          Fixes:
          https://bugs.launchpad.net/bugs/1262655. (25762ad)
        * Adding gcov 1.10 (52c50b3)

2013-12-19 Matthias Klose

        * Build with -Wno-error=deprecated-declarations.;  Don't build the
          mono bindings on ppc64el, not available.;  Disable
          building the example, vala build error. (a703b19)

2013-10-17 Robert Bruce Park

        * Merge distro back to trunk. (65bc7f8)
        * Merge distro back to trunk. (3cb943d)

2013-10-14 Matthias Klose

        * Don't build the mono bindings on AArch64, not available.
          Fixes:
          https://bugs.launchpad.net/bugs/1239474. (7fa21cc)
        * Don't build the mono bindings on AArch64, not available. (LP:
          #1239474) (63078a8)

2013-09-20 Automatic PS uploader

        * Releasing 12.10.1+13.10.20130920-0ubuntu1 (revision 266 from
          lp:libappindicator). (53d9d3d)
        * Releasing 12.10.1+13.10.20130920-0ubuntu1, based on r266 (6561e54)

2013-09-16 Jeremy Bicha

        * - Build using default vala - Build-depend on at-spi2-core to avoid
          test failure - Build-depend on libxml2-utils - Don't
          explicitly build-depend on gir packages, gnome-doc-utils,
          or quilt - Have -dev packages depend on their gir-
          packages. (e467f23)

2013-08-13 Jeremy Bicha

        * Don't explicitly build-depend on gir packages, quilt, or
          gnome-doc-utils Build using default vala Build-depend on
          libxml2-utils Build-depend on at-spi2-core to avoid test
          failure Have -dev packages depend on their gir- packages
          (88416a6)

2013-06-19 Automatic PS uploader

        * Releasing 12.10.1daily13.06.19-0ubuntu1 to ubuntu. (2f5c0e2)
        * Releasing 12.10.1daily13.06.19-0ubuntu1, based on r264 (d24626e)

2013-06-10 Marco Trevisan (Treviño)

        * NotificationWatcher interface has not anymore the
          XAyatanaRegisterNotificationApprover method. (6e92176)

2013-06-10 Ted Gould

        * Making gtk-doc check run in the current source directory. (e17244e)

2013-06-07 Ted Gould

        * Seems no one else has this on, no reason to be the odd ball.
          (256ce01)
        * Don't need the same directory twice (5ab6b49)
        * An odd typo worth fixing (b8fe5d1)
        * Going back to the environment style (27a81fb)
        * Dropping some left over debugging info (955ce2e)
        * Making sure the check is done in the source directory (0678dac)

2013-05-03 Automatic PS uploader

        * Releasing 12.10.1daily13.05.02-0ubuntu1 to ubuntu. (1ca305b)

2013-05-02 Automatic PS uploader

        * Releasing 12.10.1daily13.05.02-0ubuntu1, based on r261 (da7e4bb)

2013-05-02 Mathieu Trudel-Lapierre

        * Merge changelog changes from /13.04 branch for saucy. (2a10f27)
        * Merge changelog changes from /13.04 branch for saucy. (8c82773)

2013-04-19 Łukasz 'sil2100' Zemczak

        * indicator_desktop_shortcuts_nick_exec() is deprecated, use
          indicator_desktop_shortcuts_nick_exec_with_context() with
          a NULL context instead - fixes the FTBFS. (a510902)
        * indicator_desktop_shortcuts_nick_exec is deprecated, use
          indicator_desktop_shortcuts_nick_exec_with_context instead
          - fixes the FTBFS (affeefe)

2013-04-17 Mathieu Trudel-Lapierre

        * Remove the clean target. (0202579)

2013-04-16 Iain Lane

        * Install appindicator-sharp's pcfile into /usr/share/pkgconfig as
          this is an arch:all package and library. Update the
          assemblydir variable in this pcfile to refer to the
          correct location for the library instead of an incorrect
          multiarch directory. (02d580a)
        * Install appindicator-sharp's pcfile into /usr/share/pkgconfig as
          this is an arch:all package and library. Update the
          assemblydir variable in this pcfile to refer to the
          correct location for the library instead of an incorrect
          multiarch directory. (32257b0)

2013-04-09 Mathieu Trudel-Lapierre

        * debian/rules: drop the clean target, it's superfluous. (e40014d)

2013-04-03 Mathieu Trudel-Lapierre

        * Reverse the order of dh_clean and dh_autoreconf_clean, fixes issues
          where autoreconf files get dropped and thus autoreconf
          fails to properly clean. (736066f)

2013-03-13 Automatic PS uploader

        * Releasing 12.10.1daily13.03.13-0ubuntu1 to ubuntu. (5d2aa7d)
        * Releasing 12.10.1daily13.03.13-0ubuntu1, based on r255 (8bdd55e)

2013-03-11 Sebastien Bacher

        * stop build-depending on libindicate, it's deprecated and not used
          there. (5c18eb1)
        * stop build-depending on libindicate, it's deprecated and not used
          there (34d5196)

2013-02-15 Automatic PS uploader

        * Releasing 12.10.1daily13.02.15-0ubuntu1 to ubuntu. (d3d5390)
        * Releasing 12.10.1daily13.02.15-0ubuntu1, based on r253 (ef867f3)

2013-02-14 John Vert

        * in app_indicator_init(), finish initializing self's fields before
          calling g_bus_get().
          Fixes:
          https://bugs.launchpad.net/bugs/1122596. (59c3e10)
        * in app_indicator_init(), finish initializing self's fields before
          calling g_bus_get(). (6e84cff)

2013-02-14 Iain Lane

        * Install typelib files into non Multi-Arch paths.
          Fixes:
          https://bugs.launchpad.net/bugs/1124941. (93b038e)
        * Install typelib files in standard (non MA) paths (0a83385)

2013-02-13 Automatic PS uploader

        * Releasing 12.10.1daily13.02.13-0ubuntu1 to ubuntu. (ede8d21)
        * Releasing 12.10.1daily13.02.13-0ubuntu1, based on r250 (454c84f)

2013-02-05 Mathieu Trudel-Lapierre

        * Bootstrap message.
          Fixes: https://bugs.launchpad.net/bugs/1065310.
          (89da4a1)

2013-02-04 Mathieu Trudel-Lapierre

        * Automatic snapshot from revision 245 (bootstrap):   - Fix Vala
          classes not being able to inherit from Indicator (LP:
          #1065310) (5d60b84)
        * We don't need to kill at-spi2-registry, that was only meant for
          testing. (e0e8251)
        * We don't need to kill at-spi2-registry, that was only meant for
          testing. (b266f26)

2013-01-30 Charles Kerr

        * This is a continuation of
          ~mathieu-tl/libappindicator/fix-test-merge/ which adds
          fixes for bug #1102589, bug #1102595, bug #1109128, and
          bug #1103087, which should get it finally passing CI.

          Fixes: https://bugs.launchpad.net/bugs/1102589,
          https://bugs.launchpad.net/bugs/1102595,
          https://bugs.launchpad.net/bugs/1103087,
          https://bugs.launchpad.net/bugs/1109128. (bd333ad)

2013-01-29 Charles Kerr

        * fix potential overflow reported by Coverity (3e9b3f1)
        * fix copy-paste error when updating the attention accessible text
          (0793d59)
        * flush the dbus connection before exiting
          test-libappindicator-status-server (345b7af)
        * raise gtk+ minimum to 2.35.4 because we no longer use g_type_init()
          (82b3dc0)

2013-01-23 Mathieu Trudel-Lapierre

        * Increase dbus-test-runner timeout to 5 minutes to give tests enough
          time to start up and run on buildds, especially on slow
          architectures. (fc8b73e)
        * resolve conflicts on acinclude.m4 (1c9c770)

2013-01-21 Chris J Arges

        * This fixes python multi-arch include issues. (ee33a9a)

2013-01-17 Chris J Arges

        * acinclude.m4: Fix python multi-arch include issues. (962ea76)

2013-01-16 Mathieu Trudel-Lapierre

        * Remove deprecated calls to g_type_init() (6a86412)
        * Adjust timeouts and log handlers to not fail tests unnecessarily.
          (8958959)

2013-01-14 Michael Terry

        * increase another test timeout to make amd64 build (c5aca65)

2013-01-10 Michael Terry

        * some packaging fixes to make tests more resistant to timing issues
          and warnings from sub-libraries (616555a)

2013-01-08 Mathieu Trudel-Lapierre

        * More traces (b598e7c)

2012-12-18 Marco Trevisan (Treviño)

        * NotificationWatcher: remove XAyatanaRegisterNotificationApprover
          method (62ef4f4)

2012-12-11 Mathieu Trudel-Lapierre

        * Properly retrieve the path to python headers. (59a0f71)

2012-12-10 Mathieu Trudel-Lapierre

        * Remove entry about disabling tests for documentation: they're
          fixed. (8aad250)
        * Fix gtkdoc tests and building of the documentation given a separate
          build directory. (c8d15b0)

2012-12-07 Mathieu Trudel-Lapierre

        * Re-enable docs (0605654)

2012-12-06 Mathieu Trudel-Lapierre

        * Add reference to the bug we're waiting for a fix for; re: gtk-doc
          completeness, missing links and undocumented symbols
          (db9a00b)
        * Temporarily disable gtk-doc completeness tests until they can be
          fixed. (35683fe)

2012-12-05 Ted Gould

        * Adding a custom clean rule to the inline packaging. (3050e34)

2012-12-05 Mathieu Trudel-Lapierre

        * Inline packaging (9651f1d)

2012-12-04 Ted Gould

        * Trying to be more direct (d2f16cb)
        * Going with just dh_clean (3dceb09)
        * Making it so that clean doesn't have cli in it (63938c0)

2012-11-30 Mathieu Trudel-Lapierre

        * Properly disable tests for gtk2 and gtk3, not the gtk2 build.
          (a640bfe)
        * Temporarily disable GTK2 tests. (085a347)

2012-11-30 Charles Kerr

        * update our use of gtk-doc from 1.9 to 1.18. (effd665)

2012-11-27 Mathieu Trudel-Lapierre

        * More shuffling around of Build-Depends. (4f9fa5b)

2012-11-26 Mathieu Trudel-Lapierre

        * Add xvfb to Build-Depends. (568791d)
        * Override dh_auto_test to run tests per-flavor. (bab27b9)
        * Add a Pre-Depends on multiarch-support for libappindicator(3-)7.
          (97eb2fd)
        * Override dh_autoreconf to run autogen.sh and not call configure.
          (6a07efc)
        * Add and export DPKG_GENSYMBOLS_CHECK_LEVEL. (9dff094)
        * Update Vcs-Bzr, Vcs-Browser and add a notice to uploaders.
          (ee40944)
        * Drop old Conflicts, Replaces, Provides for old unsupported upgrade
          paths. (6ccd332)
        * debian/*.install:   - Update paths for multiarch and for use with
          dh9 (remove debian/tmp...) (4664f1e)
        * debian/rules:   - Convert from cdbs to debhelper 9. (1c8427d)
        * Drop Build-Depends on cdbs. (a091723)
        * debian/compat: bump to compat level 9. (d92dc38)
        * Bump Build-Depends on debhelper to (>= 9). (ca3d312)
        * Reorganize Build-Depends for clarity. (4e7dde6)
        * debian/control:   - Update style: use trailing commas at the end
          of dependency lists. (501f677)
        * Tell bzr-builddeb to build the package in split mode. (f6833f0)
        * Import debian/ from lp:~ubuntu-desktop/libappindicator/ubuntu
          (51bae23)

2012-10-11 Lars Uebernickel

        * Merge lp:~robert-ancell/libappindicator/lp-1065310 (0807da7)

2012-10-11 Robert Ancell

        * Fix Vala classes not being able to inherit from Indicator (26b796b)

2012-07-11 Sebastien Bacher

        * releasing version 12.10.0-0ubuntu1 (09ddb17)
        * New upstream release. (63a49ad)
        * Import upstream version 12.10.0 (dfefc88)

2012-07-11 Charles Kerr

        * bump version to 12.10.0 (f2744fa)

2012-06-18 Charles Kerr

        * merge lp:~evgeni/libappindicator/optional-mono to make Mono binding
          generation optional. This way we don't FTB on
          architectures that don't support Mono. (ad488df)
        * merge bzr merge
          lp:~evgeni/libappindicator/multiarch-same-devheaders so
          that we don't include build-time filenames in comments of
          the enum header files. (2723b6c)

2012-06-10 Evgeni Golov

        * don't include build-time filenames in comments of the enum header
          files (96fc7f9)
        * make building mono extension optional, so we can build on archs
          that do not have mono (086dae1)

2012-05-23 Robert Ancell

        * releasing version 0.4.92-0ubuntu2 (f480157) (tag: 0.4.92-0ubuntu2)

2012-05-22 unknown

        * use autoreconf.mk instead of calling dh_autoreconf by hand
          (8d0330b)

2012-04-23 Charles Kerr

        * merge lp:~ted/libappindicator/app_name to try the application name
          as a fallback if the client doesn't explicitly set the
          title. (0bf6ada)

2012-04-16 Ted Gould

        * If we don't have a title set, use the application name to output
          the title (b894548)

2012-04-12 Charles Kerr

        * merge lp:~allanlesage/libappindicator/TDD to add gcov targets to
          our autotools build for code-coverage reporting. For more
          information, see this blog post:
          http://qualityhour.wordpress.com/2012/01/29/test-coverage-tutorial-for-cc-autotools-projects/
          . (859a831)

2012-03-27 Allan LeSage

        * Added coverage tooling. (6f29399)

2012-03-21 Ken VanDine

        * releasing version 0.4.92-0ubuntu1 (27eb63c)
        * New upstream release.   * Fix a Coverity
          PW.BRANCH_PAST_INITIALIZATION error (LP: #957471)   * Fix
          FTB bug from ambiguity between Glib.Menu and Gtk.Menu in
          the Vala code;  debian/control: Updating to valac-0.16
          (f3df2e1)

2012-03-21 Charles Kerr

        * releasing version 0.4.92-0ubuntu1 (ea6700d) (tag: 0.4.92-0ubuntu1)
        * bump debian/control's valac dependency from 0.14 to 0.16 (61c3e01)
        * New upstream release.   * Fix a Coverity
          PW.BRANCH_PAST_INITIALIZATION error (LP: #957471)   * Fix
          FTB bug from ambiguity between Glib.Menu and Gtk.Menu in
          the Vala code (3aa2827)
        * Import upstream version 0.4.92 (812ded8)
        * Sync from Ubuntu Desktop (03fa072)
        * 0.4.92 (d4b572c) (tag: 0.4.92)
        * merge lp:~charlesk/libappindicator/fix-vala-examples to resolve
          ambiguity in the vala examples between glib.Menu and
          Gtk.Menu (a0f8c26)
        * The vala examples were written before GMenu, so add explict
          namespace use here to avoid valac errors caused by
          namespace ambiguity between glib and gtk (ie, use 'new
          Gtk.Menu' instead of 'new Menu') (13c8aef)

2012-03-19 Charles Kerr

        * merge lp:~charlesk/libappindicator/lp-957471 to fix a
          PW.BRANCH_PAST_INITIALIZATION error reported by Coverity
          in bug #957471 (84d8aae)

2012-03-16 Charles Kerr

        * remove oddly-scoped variable to fix a CID 10737 -
          PW.BRANCH_PAST_INITIALIZATION warning reported by Coverity
          in Bug #957471 (36f65c7)

2012-03-09 Sebastien Bacher

        * releasing version 0.4.91-0ubuntu3 (73331d6) (tag: 0.4.91-0ubuntu3)
        * debian/rules: build without make check until the builder
          environment issues are sorted (ac1487a)
        * releasing version 0.4.91-0ubuntu2 (25c5aef) (tag: 0.4.91-0ubuntu2)
        * debian/control: build-depends on dbus-test-runner (593ee90)
        * releasing version 0.4.91-0ubuntu1 (1ae63e0) (tag: 0.4.91-0ubuntu1)
        * debian/rules:   - run make check during the build (55b03b4)
        * New upstream release.   * Set name and title in fallback status
          item (LP: #885080)   * Fix build in non-source dir cases
          (LP: #931764)   * Use file names for icons in fallback
          mode (LP: #875770)   * Add since declarations to
          documentation   * Fix test suite to work with libindicator
          0.4.93   * Fix the mono binding properties (223b045)

2012-03-09 Ted Gould

        * releasing version 0.4.91-0ubuntu1~ppa1 (b17679f)
        * New upstream release.   * Set name and title in fallback status
          item (LP: #885080)   * Fix build in non-source dir cases
          (LP: #931764)   * Use file names for icons in fallback
          mode (LP: #875770)   * Add since declarations to
          documentation   * Fix test suite to work with libindicator
          0.4.93   * Fix the mono binding properties (6a88fca)
        * Import upstream version 0.4.91 (b681b75)
        * Merge U. Desktop (e602f2a)
        * 0.4.91 (f95bf78) (tag: 0.4.91)
        * Update to new actions format in libindicator (244c436)
        * Include an index for 0.5 (ef62b53)

2012-03-07 Charles Kerr

        * Merge lp:~ted/libappindicator/lp885080 to add a title and name on
          the status icon in fallback mode for bug #885080 (328e55e)

2012-03-06 Ted Gould

        * Making the Mono and Python bindings build directory independent
          (b587402)

2012-03-06 Charles Kerr

        * generate app-indicator.sources.xml (for mono bindings) and
          appindicator.override (for python bindings) at configure
          time so that they can take into account top_builddir vs
          top_srcdir differences. (5ab2da4)

2012-03-06 Ted Gould

        * Look for files and don't use those as icon names in the fallback
          (8655832)
        * Removing unneeded NULL check (be2eef5)
        * Improve docs on title functions (bd4dbb3)

2012-03-02 Ted Gould

        * Attaching bug (f39aac0)
        * Rework the icon setting function so that it can handle images that
          are file paths by checking to see if the files exist
          (e2ec05d)
        * Protecting from NULL titles, which apparently status_icon can't
          take :-/ (fafea8a)
        * Handle the title changing at runtime (002c16b)
        * Attaching bug (556d749)
        * Sets the title of the status icon to the title of the appindicator
          and the name to the ID (63331bc)

2012-02-29 Sebastien Bacher

        * Set "Since: 0.5" in the inline documentation for the new set_title
          and get_title functions (72ddc78)

2012-02-07 Sebastien Bacher

        * releasing version 0.4.90-0ubuntu2 (fe1d218) (tag: 0.4.90-0ubuntu2)
        * debian/control:   - don't make libappindicator3-dev depends on
          libappindicator-dev;  debian/libappindicator3-dev.install:
            - install the gtk3 include directory (36ed779)

2012-02-06 Ken VanDine

        * releasing version 0.4.90-0ubuntu1 (d351a75) (tag: 0.4.90-0ubuntu1)
        * set to UNRELEASED (86b6eae)
        * New upstream release.   * Fix include with Dbusmenu 0.5.90   *
          Fix GTK3 include paths in pkgconfig file (LP: #869373)   *
          Add title property (LP: #923971)   * Don't specify
          pyglib-2.0-python2.6 in LDFLAGS   * fix fallback icon of
          the GtkStatusIcon (LP: #820080);  debian/control: Dbusmneu
          Dep to 0.5.90;  deibna/*symbols: Updated to add
          [set|get]_title functions (2c4628f)

2012-02-03 Ted Gould

        * releasing version 0.4.90-0ubuntu1~ppa1 (0ef39fd)
        * deibna/*symbols: Updated to add [set|get]_title functions (f149e80)
        * debian/control: Dbusmneu Dep to 0.5.90 (5ad59aa)
        * New upstream release.   * Fix include with Dbusmenu 0.5.90   *
          Fix GTK3 include paths in pkgconfig file (LP: #869373)   *
          Add title property (LP: #923971)   * Don't specify
          pyglib-2.0-python2.6 in LDFLAGS   * fix fallback icon of
          the GtkStatusIcon (LP: #820080) (57f1cab)
        * Import upstream version 0.4.90 (7256c18)
        * Sync with U. Desktop (6516e72)
        * Fixing some of the properties in the mono bindings (4ccb5d7) (tag:
          0.4.90)
        * 0.4.90 (53fbf0d)
        * Updating to Dbusmenu 0.5.90 (879f9e9)

2012-01-31 Ted Gould

        * Changing dbusmenu-gtk required version (67380ab)

2012-01-30 Ted Gould

        * Add the ability to set and export the title of the app indicator
          (ea6c887)
        * Attaching bug (f6e9dcf)
        * Fix type in comment (f0e9928)

2012-01-28 Ted Gould

        * Adding the get/set function to the docs (8b21de2)
        * Handling getting the title property (982de61)
        * Making get_title work (97d2b40)
        * Only signal to dbus if we're connected (dcbd590)
        * Adding a test to track setting of the title (2d03f1d)
        * Setting the titles in the examples (84ba240)
        * Make the set function call the property set function (f12cf32)
        * Support the title property over dbus and emitting the dbus signal
          when it changes (3aa66a7)
        * Adding the 'Title' property and 'NewTitle' signal to the DBus
          interface description (e5b9bc3)
        * Adding the title property (3c1556c)
        * Adding a title entry to the private structure (fb65099)
        * Adding get/set title functions (a89fe2c)

2012-01-27 Ted Gould

        * Update to trunk (dea1a71)
        * Making tests optional (d006f9d)
        * Fixing pkgconfig file for GTK3 (d813c8a)
        * Removing unneeded python dep (9ea0166)

2012-01-26 Ken VanDine

        * Don't specify pyglib-2.0-python2.6 in LDFLAGS, it isn't needed and
          only works with python2.6 (ae5cbc9)

2012-01-25 Ken VanDine

        * releasing version 0.4.1-0ubuntu4 (996677f) (tag: 0.4.1-0ubuntu4)

2012-01-24 Ken VanDine

        *   - Don't specify pyglib-2.0-python2.6 in LDFLAGS   -
          dhr_autoreconf;  debian/libappindicator1.symbols,
          debian/libappindicator3-1.symbols   - added symbol.
          s/pyglib-2.0-python2.6/pyglib-2.0-python2.7/ for python
          bindings. (9055ae0)
        * rebuild for libindicator7;  bindings/python/Makefile.am   - Don't
          specify pyglib-2.0-python2.6 in LDFLAGS, it isn't needed
          and     only works with python2.6;  debian/rules   -
          include autoreconf.mk;  debian/control   - added build dep
          on dh-autoreconf (0e4459f)
        * no change rebuild for libindicator7 (5452357)
        * Don't specify pyglib-2.0-python2.6 in LDFLAGS, it isn't needed and
          only works with python2.6 (95620c4)

2011-11-23 György Balló

        * Make building mono tests optional. Check for mono-nunit if nunit is
          not available (ce8b882)

2011-11-22 György Balló

        * Use the standard location for mono bindings (1798a73)
        * Do not link pyglib explicitly (c101b27)
        * Fix header files location for GTK3 (4777acb)
        * Make building tests optional (077275b)

2011-09-30 Michael Vogt

        * releasing version 0.4.1-0ubuntu2 (b1064de) (tag: 0.4.1-0ubuntu2)
        * src/app-indicator.c:   - fix fallback icon of the GtkStatusIcon
          (LP: #820080), cherry     pick of r221 from
          lp:libappindicator (e669e2d)

2011-09-30 Ted Gould

        * Work with fallbacks and theme paths (bc49dd8)

2011-09-30 Michael Vogt

        * src/app-indicator.c: hide first in passive mode and add comment
          about it (d1788f9)
        * src/app-indicator.c: do not add the same icon_theme_path again,
          gtk3 apparently does not check this (ff65f9f)
        * simplify (5819385)
        * src/app-indicator.c: honor icon_theme_path in the fallback
          (4aca6f6)
        * unbreak attention_icon (f476076)
        * src/app-indicator.c: when using the fallback icon, first check if
          there is a "-panel" version of the icon available and if
          not fallback to the indicator one (6ecd10f)

2011-09-28 Ken VanDine

        * releasing version 0.4.1-0ubuntu1 (ba84fd6) (tag: 0.4.1-0ubuntu1)
        * New upstream release (0.4.0).   * Fix VAPI file for Vala bindings
          (LP: #789588);  New upstream release (0.4.1).   * Fix
          build. (641031f)

2011-09-28 Ted Gould

        * releasing version 0.4.1-0ubuntu1~ppa1 (c93b59d)
        * New upstream release (0.4.0).;  New upstream release (0.4.1).   *
          Fix build. (b620c7c)
        * Import upstream version 0.4.1 (334e44d)
        * 0.4.1 (a011977) (tag: 0.4.1)
        * Fix deps (1c49e53)
        * Fix dep as well (9a0a2e0)
        * Fix prefix on custom vala (a8cb786)
        * Switching out the prefix for a fixed name (3c21ff4)
        * New upstream release.   * Fix VAPI file for Vala bindings (LP:
          #789588) (c6f5993)
        * Import upstream version 0.4.0 (e57397e)
        * Merge U. Desktop (b5c8bb4)
        * 0.4.0 (e527e64) (tag: 0.4.0)
        * Bring along custom and grab from srcdir (9826036)

2011-09-23 Ted Gould

        * Fixing Vala bindings (aa96c75)

2011-09-23 Michal Hruby

        * Fix type_check_function for vala bindings (c0b476c)

2011-08-11 Sebastien Bacher

        * releasing version 0.3.91-0ubuntu1 (2d4793a) (tag: 0.3.91-0ubuntu1)
        * debian/rules:   - update the translations template after build,
          dh_translations doesn't     work for builds out of the
          source directory (8c1f764)
        * New upstream release.   * Secondary activate support   * Better
          GIR file annotations (29515fe)

2011-08-11 Ted Gould

        * releasing version 0.3.91-0ubuntu1~ppa1 (7a5688c)
        * New upstream release.   * Secondary activate support   * Better
          GIR file annotations (6a05f53)
        * Import upstream version 0.3.91 (8c352cd)
        * Sync to U. Desktop (1a48342)
        * 0.3.91 (1bfe91a) (tag: 0.3.91)

2011-07-22 Ted Gould

        * Fix comments to work with g-ir-scanner (ba1f3a6)
        * Adding in support for the secondary activate (middle click)
          (5c4ee09)
        * Adding the secondary target functions to the documentation
          (f551fdb)
        * Watching for the 'XAyatanaSecondaryActivate' method as well
          (d59df9b)
        * Always clear the sec_activate_target (195a64f)

2011-07-20 Marco Trevisan (Treviño)

        * Fixed comments to correctly work with g-ir-scanner (940f4ac)
        * examples: use the set_secondary_activate_target API (beb4f16)
        * vala: updated example to use the new API (a3812f9)
        * mono bindings: updated API and example (6a52781)
        * app-indicator: Move from "secondary-activate" signal to
          secondary_activate target (8f71358)

2011-07-19 Marco Trevisan (Treviño)

        * Call the right signal on middle-click over the tray icon! (d54d1e7)

2011-07-18 Marco Trevisan (Treviño)

        * app-indicator: added middle click support for wrapper tray
          (a758223)
        * examples: add secondary-activate signal usage to Vala and C
          (383469d)
        * Vala bindings example: added secondary_activate (d24b2f2)
        * mono bindings: added SecondaryActivate support. (4574948)
        * Add signal "secondary-activate" and emit it when needed (0e4c805)

2011-07-09 Marco Trevisan (Treviño)

        * Merge with Upstream (4146455)

2011-07-08 Sebastien Bacher

        * releasing version 0.3.90-0ubuntu1 (90aa5af) (tag: 0.3.90-0ubuntu1)

2011-07-07 Ted Gould

        * releasing version 0.3.90-0ubuntu1~ppa1 (7b75269)
        * New upstream release.   * Fix a memory leak (LP: #)   * Port to
          libindicator 0.4 (e3d7177)
        * Import upstream version 0.3.90 (fc03ef7)
        * 0.3.90 (bf95161) (tag: 0.3.90)
        * Removing -Werror for the Vala compiler (15fccc9)
        * Free allocated name (7cff4ed)
        * Migrate to libindicator 0.4 (f20865c)

2011-07-05 Ted Gould

        * Sync to U. Desktop (6e9e154)

2011-07-05 Michael Terry

        * No change rebuild to depend on libdbusmenu-gtk4 (instead of -gtk3)
          LP: #803667 (8693295) (tag: 0.3.0-0ubuntu3)

2011-06-21 Colin Watson

        * releasing version 0.3.0-0ubuntu2 (c6d8437) (tag: 0.3.0-0ubuntu2)
        * Remove unused libmono-dev build-dependency (for Mono 2.10
          transition). (cde0e9c)
        * Call dh_python2 from binary-fixup rather than binary-predeb, so
          that generated maintainer script snippets actually end up
          in the package. (967fd70)

2011-06-16 Ted Gould

        * Free name if we get it (ea77e8e)
        * Doc fix (4ffbe0b)
        * Autotools fixes (e5c3a1d)

2011-06-16 Javier Jardón

        * Trivial documentation fix (654b97f)

2011-06-15 Javier Jardón

        * configure.ac: Generate xz tarballs with pax format by default
          (b3466bd)
        * Update autotools configuration (7c0bf2d)

2011-03-23 Ken VanDine

        * releasing version 0.3.0-0ubuntu1 (b0772a8) (tag: 0.3.0-0ubuntu1)

2011-03-23 Ted Gould

        * releasing version 0.3.0-0ubuntu1~ppa1 (d536601)
        * New upstream release.   * Don't use GIcon with GtkStatusIcon (LP:
          #708118) (2ad6b90)
        * Import upstream version 0.3.0 (010b25c)
        * Sync with U. Desktop (5b6331c)
        * 0.3.0 (0ed4513) (tag: 0.3.0)
        * Use icon-name instead of GIcon in the fallback GtkStatusIcon
          (8974a7f)
        * Set gtk_status_icon using icon_name instead of gicon (54b25e3)

2011-03-16 Ken VanDine

        * releasing version 0.2.99-0ubuntu1 (30a29c6) (tag: 0.2.99-0ubuntu1)

2011-03-16 Ted Gould

        * releasing version 0.2.99-0ubuntu1~ppa1 (0988693)
        * New upstream release. ∘ Fix long standing memory leak (LP: #569273)
          (8b323ea)
        * Import upstream version 0.2.99 (bf797a9)
        * Merge with U. Desktop (e1790a2)
        * 0.2.99 (f321aae) (tag: 0.2.99)

2011-03-14 Ted Gould

        * Doing a ref_sink() like we should have been doing! (dae2422)

2011-03-14 Michael Terry

        * sink ref to passed-in menu in set_menu() to avoid leaks (f2f415d)

2011-03-10 Ken VanDine

        * releasing version 0.2.98-0ubuntu1 (c50e0ff) (tag: 0.2.98-0ubuntu1)

2011-03-10 Ted Gould

        * releasing version 0.2.98-0ubuntu1~ppa1 (38951a7)
        * Merging with U. Desktop (4d82c5e)
        * New upstream release. ∘ Don't watch signals we don't need to.  (LP:
          #728503) (d8f3bb3)
        * Import upstream version 0.2.98 (1f0b4c1)
        * 0.2.98 (0f9fc0f) (tag: 0.2.98)
        * Adding a TargetEnvironment to the desktop file (29f8630)

2011-03-09 Ted Gould

        * Don't watch signals we shouldn't need to. (d43f34b)

2011-03-08 Ted Gould

        * Attaching bug number (d679d3c)
        * Dropping the client_menu_changed function as dbusmenu should do
          this for us. (c156b45)

2011-03-03 Ken VanDine

        * releasing version 0.2.97-0ubuntu1 (007331a) (tag: 0.2.97-0ubuntu1)

2011-03-03 Ted Gould

        * releasing version 0.2.97-0ubuntu1~ppa1 (be0a541)
        * debian/patches: Removed, all upstream (3eb5a9d)
        * New upstream release.   * Set includedir to the location of the
          headers provided by     libappindicator-dev (LP: #721562)
           * Fix crash when importing appindicator from Python (LP:
          #724917).   * Fix crash when switching themes by
          disconnecting a signal from     the theme on dispose.  LP:
          #708188 (15784db)
        * Import upstream version 0.2.97 (56d9374)
        * Merge from U. Desktop (70d5440)
        * 0.2.97 (4490e2e) (tag: 0.2.97)

2011-03-02 Ted Gould

        * Adding additional functions into Python bindings (4a277c7)
        * Fixing the pkgconfig file (b56c1fb)
        * Drop theme signal handler when shutting down. (d6e2549)

2011-02-28 Ken VanDine

        * releasing version 0.2.96-0ubuntu4 (fe59d57) (tag: 0.2.96-0ubuntu4)
        * Set the includedir for appindicator3-0.1 to
          ${includedir}/libappindicator-0.1 (6c5c047)

2011-02-28 Michael Terry

        * debian/patches/update-defs.patch:   - Fix crash when importing
          appindicator from Python (LP: #724917). (8fd3730) (tag:
          0.2.96-0ubuntu3)

2011-02-28 Артём Попов

        * Really add update-defs.patch (160c776)
        * debian/patches/update-defs.patch:   - Fix crash when importing
          appindicator from Python (LP: #724917). (fdb740f)

2011-02-28 Michael Terry

        * debian/control, debian/rules:   - Add quil.
          debian/patches/disconnect-from-theme.patch:   - Fix crash
          when switching themes by disconnecting a signal from
          the theme on dispose.  LP: #708188 (49874d3) (tag:
          0.2.96-0ubuntu2)

2011-02-26 Артём Попов

        * Updated appindicator.defs (fixes LP: #724917) (8669272)

2011-02-25 Michael Terry

        * disconnect from icon theme on dispose (c591e81)

2011-02-24 Ken VanDine

        * releasing version 0.2.96-0ubuntu1 (5f97e91) (tag: 0.2.96-0ubuntu1)

2011-02-24 Ted Gould

        * releasing version 0.2.96-0ubuntu1~ppa1 (22fbdf6)
        * New upstream release.   * Add support for accessible descriptions
            * Move deregistration of object later to send final
          signals (59d8e5d)
        * Import upstream version 0.2.96 (7a1564e)
        * Merging U. Desktop (dd6a451)
        * 0.2.96 (d634d56) (tag: 0.2.96)
        * Add the ability to set accessible descriptions for the icon and
          attention icon. (ce7b22d)

2011-02-23 Ted Gould

        * Cleaning up even more! (d21b676)
        * Switching to proper properties (eb2ba45)
        * Matching prototypes to C file (ccad277)
        * Fixing the sections list (13b9f33)
        * Dropping the accessible description tests.  I don't have time to
          rewrite them now.  They should be redone though. (f4470e6)
        * Switching to the new style of setting the a11y label (f4920ad)
        * Reconfigure properties to match. (e3ccf5f)
        * Fixing up the get functions (e5b4e41)
        * Fixing up the set functions so we get some descriptions. (7e03ead)
        * Switch around API so it makes sense for what we want to do.
          (4716fe0)
        * Dropping the new accessible description signal (021dd71)
        * Drop signaling the accessible description changed on it's own.
          (6335283)
        * Change the name of the accessible description and add the attention
          one. (5de3ea9)
        * Changing the signal to match what was discussed with the KDE folks
          (d63e2d0)

2011-02-23 unknown

        * Release libappindicator (3c0119b)

2011-02-22 unknown

        * debian/control:   - Use new build-depends for libgtk-3-dev
          (8ee2307)

2011-02-17 Ken VanDine

        * releasing version 0.2.95-0ubuntu2 (eef1472) (tag: 0.2.95-0ubuntu2)

2011-02-16 Ted Gould

        * Remove registration of the object until after all possible signals
          are sent (abccdd7)

2011-02-14 Luke Yelavich

        * Merge from trunk (5824bcd)

2011-02-11 Michael Terry

        * don't unregister on dbus until after we hide appindicator (86d57d3)

2011-02-11 Ken VanDine

        * releasing version 0.2.95-0ubuntu1 (a83d65c) (tag: 0.2.95-0ubuntu1)
        * New upstream release (0.2.95);  debian/rules   - build and
          install the vapi for gtk3 (26b9521)

2011-02-10 Ted Gould

        * debian/rules: Not building libappindicator3-dev until we've got the
          GTK3 build all put together. (7695312)
        * debian/libappindicator-dev.install,
          debian/libappindicator3-dev.install: switching the file
          name of the vapi files. (d13c1f1)
        * New upstream release (0.2.95) ∘ Fixing build for GTK2/3 dual build
          (3d4fdfb)
        * Import upstream version 0.2.95 (596f48a)
        * 0.2.95 (1c384cd) (tag: 0.2.95)
        * Fix the build so we can distcheck with GTK 2 and 3 (4044f92)
        * Blocking the menu proxy from our test (4d24048)
        * Changing the build so that it uses the right version of the vala
          files and removes the predefined header location (889b2da)
        * Changing the install path of the headers for libappindicator GTK3
          version so it's parrallel installable (61a686f)
        * Adjusting the name of the different namespace with GTK 3 (725a13e)
        * Ensure that we're building with the right library (2c30d69)
        * Cleanup what we create (b184209)
        * gtk-doc wants a deprecated section now (f5de6c3)
        * Removing the multiple modules as we shouldn't need them (3b78014)
        * Fixing scroll documentation (0c53b39)
        * Making sure to pick up both metadata files in dist. (99189aa)
        * New upstream release (0.2.93);  New upstream release (0.2.94)   ∘
          Include vala example files as well (ac68d85)
        * Import upstream version 0.2.94 (2c23d4b)
        * 0.2.94 (e5b56ec) (tag: 0.2.94)
        * Make sure to pull the vala source file along with us. (cd7daed)
        * Syncing with upstream much better (acdd6c5)
        * Removing all the non packaging stuff (648cd92)
        * Getting closer to the tarball (4dfca04)
        * New upstream release. ∘ Fix Vala bindings ∘ Add support for scroll
          events (a9814d5)
        * Import upstream version 0.2.93 (18d8992)
        * Merge from U.Desktop (6def775)

2011-02-11 Luke Yelavich

        * Merge from trunk (b63c137)

2011-02-10 Ted Gould

        * 0.2.93 (23a4650) (tag: 0.2.93)
        * Ignoring new Vala stuff (409fc00)
        * Being more specific about the types of the signal (43c1ba2)
        * Fixing Vala bindings (2f8daac)
        * Ensuring we don't run the app as part of the test, just build it so
          this will work in automation. (e69e292)

2011-02-08 Ken VanDine

        * releasing version 0.2.92-0ubuntu2 (a9d343c) (tag: 0.2.92-0ubuntu2)
        * debian/control, debian/rules   - Include new binaries for gtk3
          builds;  debian/libappindicator1.symbols,
          debian/libappindicator3-1.symbols   - Added symbol files
          for libappindicator1 and libappdindicator3-1 (37a5403)
        * debian/libappindicator1.symbols, debian/libappindicator3-1.symbols
          (be01a9e)
        * Manually run dh_makeshlibs for libappindicator1 and
          libappindicator3-1 (b93c2b2)
        * fixup the clean target (ca3edb2)
        * more gtk3 build fixes (625332e)
        * gtk3 packaging fixes, still wip (d0ad1b8)
        * debian/control, debian/rules   - Include new binaries for gtk3
          builds   - Added symbol files for libappindicator1 and
          libappdindicator3-1 (c790761)

2011-02-08 Luke Yelavich

        * accessible_name -> accessible_desc (fffab2e)

2011-02-05 Marco Trevisan (Treviño)

        * example makefile code cleanup (b4f20fe)
        * examples, vala: check for valac (d268d2b)

2011-02-04 Marco Trevisan (Treviño)

        * examples, added scroll-event demo. (d22edfa)
        * Merge against new trunk (675cec0)
        * Vala simple client, compile workaround improved. (1b85f7f)
        * simple-client-vala: indentation fixes (b9efa8f)
        * Examples, added simple-client-vala (89b31ab)

2011-02-04 Luke Yelavich

        * Merge from trunk (31519e7)
        * Add accessible_name support (b13fa49)

2011-02-04 Marco Trevisan (Treviño)

        * Always check if vapigen is available when building VAPI (32a1bf9)
        * Vala bindings: add metadata as build dependencies, support for gtk3
          (6cc0ff8)
        * Include gir metadata file in built_sources (c58fd3f)

2011-02-03 Ted Gould

        * Merge from U.Desktop (df6a39d)
        * Merging in the upstream packaging branch (5851112)
        * Changing the build to be the check instead of running it as we
          might not be interactive. (692281a)

2011-02-03 Marco Trevisan (Treviño)

        * vala bindings makefile: just use deps file for dependencies
          (3f2a4ba)

2011-02-03 Ted Gould

        * Support the Scroll method for scroll whell support. (0faacd1)

2011-02-03 Marco Trevisan (Treviño)

        * Vala example, changed copyright year (2fea206)
        * Vala example: indentation fixes (99ffe88)
        * Vala example: adding copyright message. (bcbd870)
        * Adding vala bindings and example (7f49d7c)
        * Merge against new trunk (b5660e8)

2011-01-29 Marco Trevisan (Treviño)

        * Using the SNI method "Scroll" instead of XAyatanaScrollAction
          (0d97a5e)

2011-01-27 Ken VanDine

        * releasing version 0.2.92-0ubuntu1 (b7ad7ae) (tag: 0.2.92-0ubuntu1)
        * Import upstream version 0.2.92 (93d52e4)

2011-01-27 Ted Gould

        * releasing version 0.2.92-0ubuntu1~ppa1 (0ab2c93)
        * New upstream release. (9ba798d)
        * Import upstream version 0.2.92 (41981b1)
        * 0.2.92 (19c543f) (tag: 0.2.92)
        * Requiring a version of dbusmenu with a parser (3e812be)
        * releasing version 0.2.91.1-0ubuntu2~ppa1 (11add3f)
        * Upstream Merge   * Fixes to build system to build with GTK3   *
          Use the dbusmenu parser (27ae7e2)
        * Sync to trunk (ceb50bd)
        * Switching to use the dbusmenu parser (a3548cc)

2011-01-27 Marco Trevisan (Treviño)

        * app-indicator: don't use two AppIndicator slots, reset one.
          (a71428d)
        * app-indicator: remove old debug code. (e18d298)
        * Updated mono bindings (eb8d8a3)
        * app-indicator: listen for XAyatanaScrollAction and emit
          "scroll-event" signal (52b2a29)

2011-01-25 Ted Gould

        * Fixups for GTK3 Build (30d75ca)
        * releasing version 0.2.91.1-0ubuntu2~ted1 (d0a0e2a)
        * Upstream Merge   * Use the dbusmenu parser (625c881)
        * Updates from Ubuntu Desktop (83b9ba8)

2011-01-25 Ken VanDine

        * GTK3 fixes (c5195ae)
        * Fixed includedir, we don't ship separate headers for the gtk3 build
          (b7e634a)
        * Don't build python bindings for gtk3 (29ab06e)

2011-01-25 Ted Gould

        * Removing the parser that was here. (a8bbf19)
        * Rework the setup_dbusmenu function to use the dbusmenu parser.
          (331794c)

2011-01-13 Ken VanDine

        * releasing version 0.2.91.1-0ubuntu1 (62f943d) (tag:
          0.2.91.1-0ubuntu1)
        * Import upstream version 0.2.91.1 (be00d00)
        * com.canonical rename (8cf0c2e) (tag: 0.2.91.1)

2011-01-13 Sebastien Bacher

        * releasing version 0.2.91-0ubuntu1 (db379ab) (tag: 0.2.91-0ubuntu1)

2011-01-13 Ken VanDine

        * Canonical.com conversion (cf693f9)

2011-01-13 Sebastien Bacher

        * Import upstream version 0.2.91 (79f9e4c)

2011-01-13 Ken VanDine

        * Merged (57fd55e)
        * merged;  avoid nulls when crafting variants;  use notdir in case
          make gives us full paths (0b26440)
        * Fix the pkgconfig name for dbusmenu-glib-0.4 (c2762f3)

2011-01-13 Michael Terry

        * aw shucks, do the required properties too, defensively (0e9f42a)
        * avoid nulls when crafting variants (05980b6)
        * use notdir in case make gives us full paths (b38d1d8)

2011-01-12 Ken VanDine

        * Fixed pkgconfig files to require dbusmenu-glib-0.4 (7c301f7)
        * Rebuild for libindicator2 (0092f8a)
        * Fix the pkgconfig name for dbusmenu-glib-0.4 (087e631)

2011-01-06 Ken VanDine

        * Merged changes from ~ubuntu-desktop package;  Intial release.
          debian/rules   - Changes to build targets to get it
          building multipass for     python 2.6 and 2.7 (9d5b3b0)

2010-12-16 Ken VanDine

        * releasing version 0.2.90-0ubuntu4 (54c9e64) (tag: 0.2.90-0ubuntu4)

2010-12-10 Ken VanDine

        * releasing version 0.2.90+r175-0ubuntu1 (2437d4b) (tag:
          0.2.90+r175-0ubuntu1)
        * debian/rules   - Changes to build targets to get it building
          multipass for     python 2.6 and 2.7 (29871df)

2010-12-09 Ken VanDine

        * releasing version 0.2.90-0ubuntu3 (6e9fee7) (tag: 0.2.90-0ubuntu3)

2010-12-08 Ted Gould

        * More lovin' from Ken.  Moving the package order in the control
          file. (fdec9f2)

2010-12-08 Ken VanDine

        * move python-appindicator to the end (d4236cd)

2010-12-08 Ted Gould

        * Fix from Ken for the targets (5a1319d)

2010-12-08 Ken VanDine

        * fixed some targets for multipass builds (3fc08a0)

2010-12-08 Ted Gould

        * Intial release. (2706502)
        * Import upstream version 0.2.91 (67140a7)
        * Converting over to libappindicator with a dummy commit for merge
          upstream (86419fb)
        * 0.2.91 (6698a1a) (tag: 0.2.91)
        * Adding the dbus test as an expected failure as it's pretty fragile
          right now.  Needs to be refactored when we switch to GDBus
          (a4e9c0e)
        * debian/control: Removing the indicator-application bin package.
          (2a0070a)
        * Autogen (f1ca6d3)
        * Upstream Merge   * Removing service, lib only   * Switching from
          dbus-glib to GDBus (36d0bc8)
        * Switching the library over to using GDBus (0d8a2c6)
        * Wrong directory for the GTK 3 header.  Fixed. (5b8d8f9)
        * Merge from Ubuntu Desktop for dual builds (3acbfb5)

2010-12-08 Ken VanDine

        * debian/control   - build depend on dbusmenu >= 0.3.90 (b917f6f)

2010-12-08 Ted Gould

        * Syncing back with trunk (0fee0e4)
        * Adding a test in the simple client for full icon path as people are
          using it now (6d73d54)
        * Merging the property stuff. (142f013)
        * Removing the service from the build (6e6356f)

2010-12-08 Ken VanDine

        * releasing version 0.2.90-0ubuntu2 (a227646) (tag: 0.2.90-0ubuntu2)

2010-12-08 Ted Gould

        * Ignoring the generated XML include files. (b35ed0d)
        * Changing the tarball we're ignoring (8c8512a)
        * Adding in some '_' so that the symbols don't get exported in the
          library. (41edd6b)
        * Switching around so that this test passes even if it's not perfect.
          (a977f31)
        * Drop the need and use of dbus-glib (2144d77)
        * Making sure we have more ref's on our callbacks. (7fae05b)
        * Adding a ref for creating the bus proxy. (52375e6)
        * Making sure to ref the object when doing the async callback.
          (b9d6690)
        * Adding a build for dbus-glib for tests so that we can pass them
          unmodified. (4a94c8c)
        * Dropping the 'MENU' property as we don't need it. (9530e69)
        * Cleaning up configure.ac (02fba60)

2010-12-08 Ken VanDine

        * releasing version 0.2.90-0ubuntu1 (1860f39) (tag: 0.2.90-0ubuntu1)
        * New upstream release.   * A race fix on the dbus name (LP:
          #526499)   * Fixing the Watcher Interface   * Fixes to
          build with GTK 2/3   * Fixes to build with valac-0.1.
          debian/control   - Changed the valac build depends to
          valac-0.12;  debian/python-appindicator.install   - Make
          sure python2.6 and python2.7 files get include.
          debian/rules   - Fix builds for multiple python versions
          - disable parallel builds, it breaks the mono binding
          generation (be69a42)

2010-12-07 Ted Gould

        * Switching to the new dbusmenu API (c7539b5)
        * releasing version 0.2.90-0ubuntu1~ppa1 (c05b64a)
        * New upstream release.   * Fixes to build with GTK 2/3   * Fixes
          to build with valac-0.12 (4478b59)
        * Import upstream version 0.2.90 (a413eba)
        * 0.2.90 (12d94d3) (tag: 0.2.90)
        * Update to newest g-ir-scanner and vapigen (eef3316)

2010-12-06 Ted Gould

        * Changing what we're checking with the watcher, now that it's
          persistant more of the time we need to not block if it
          exists. (05d072b)
        * Emitting the signals on DBus (4b46daa)
        * Returning real values for the dbus properties (985854c)
        * Killing the X signals as well (0d80d13)
        * Dropping all the 'x' properties in the object (a666e4b)
        * Putting some dummy code in the bus get property function. (1652577)
        * Switching the names of the generated files to stop automake from
          thinking it needs to build the XML files. (07aeca3)
        * Adding in the get_prop function so that things start linking
          (a92f870)
        * Switch from using the DBus proxy to using the owner change signal
          on the watcher proxy. (884367e)
        * Readjusting how the proxy is setup, called back, and the
          registration occurs. (6e078ce)
        * Blacklisting some new files (47a57eb)
        * Changing the connection to be a GDBus connection and making
          aquiring it async (6a4266b)
        * Switching the dbus object registration to us GDBus (c1f18c7)
        * Dropping the registration of the type of the object in the
          dbus-glib way (589bebb)
        * Building up the base inforation for the dbus interfaces as static
          globals (9287e20)
        * Entirely unsure why this makes things better, but well, it does.
          (f590403)
        * Changing to not use the dbus binding tool but to instead turn the
          XML files into pseudo-C (2209cb8)
        * No indicator directory without the service (d797092)
        * Dropping dbus-glib and checking for a GIO version (4d2b723)
        * Merging the remove service branch (0fc55bf)

2010-12-03 Ted Gould

        * Sync with remove service branch (240d1c9)
        * Sync with remove service (bbd727e)
        * Merging from trunk with the desktop convience function. (0f4c1ea)
        * Merging from trunk with the desktop convience function. (8bfcfe5)
        * Adding a convience function for building the items from a desktop
          file (fbf708e)
        * Merging in removing the service (5265f39)
        * Merging in removing of the service (2855f7d)
        * Merging in support for GTK3/2 dual build (5ffa185)
        * Updating to trunk with GTK3 support. (671666f)
        * Merging in changes to setup a dual build with GTK 3 (6145439)
        * Updating to trunk so that we get the GI fixes (b90242a)
        * Fixes to the GObject Introspection and Vala files (63f4725)

2010-12-03 Ken VanDine

        * Build fixes with the latest g-ir-scanner and vapigen (0a09bca)
        * Explicitly call ShowAll on the menu, otherwise it isn't show.
          Specify a panel icon that exists for the example (e7e4604)

2010-12-02 Ted Gould

        * Oops, someone has to bring dbus-shared.h into the tarball now
          (d2a48b2)
        * Migrating to the LIBRARY flags (03dbdec)
        * Dropping a lib that should have never been there! (185a2a9)
        * Changing more of the bulid directives over to be library based
          (dd21c70)
        * Removing the approver test and switching the build flags (f664f48)
        * Adding back in the support for generating marshallers (7123c74)
        * Dropping the service and indicator files (e1a62d3)
        * Removing the INDICATOR based compiler fun (1dc185e)
        * Adding a section for library dependents (34adf7b)
        * Removing data directory (e9a363f)
        * Changing the name to libappindicator in the base build files
          (2367242)
        * Promoting the LGPLv3 (f8e822f)

2010-11-11 Ted Gould

        * Documentation fixes for distcheck (c2e08e0)
        * Fleshing out a function to see if an invalid name results in no
          entries (aad1926)
        * Changing the ID to ensure we get different paths (ca62d8c)
        * Test fix for property test (fe00673)
        * Clearing the events before unrefing (178f821)
        * Filling out the activate function. (9bde70f)
        * Setup the menu as a dbusmenu if we build it (2d87c7a)
        * Switching to use the private variable for the shorties (5c687d9)
        * Adding shorties as a private variable (1d3ca65)
        * Switching to be dbusmenu based instead of GTK menu based (d089c38)
        * Adding a property for getting the dbusmenu server (5a29ece)
        * Set the property type correctly. (8b57d12)
        * Test setting the menu and verify it comes out (53d10c2)
        * Set and Get for the dbusmenu server property (00758f3)
        * Create a property for the dbusmenu server (1ec2b70)
        * Start to flesh out the nicks side of building the menu items
          (9f0ec1f)
        * Adding a dependency for the library on libindicator (8eb4f8e)

2010-11-09 Ted Gould

        * Add a menu item to use the local icon (40c2ed8)
        * Adding in an icon and passing it's path to the build (02e634b)

2010-11-08 Ted Gould

        * Merging in the lib-deps-fixes branch so that I can use those
          changes. (dd78c21)
        * Adding a test to check the number of items in the desktop file
          (52c7066)
        * Adding the srcdir to the build command line (2e1b353)
        * Adding a desktop file for testing (145fd40)
        * Adding in a couple of desktop tests (8d9b6e9)
        * Adding the profile in there (d2427bb)
        * Adding an API function to build the menu from a desktop file
          (de1ea7a)

2010-11-01 Ted Gould

        * releasing version 0.2.9-0ubuntu2~ppa2 (15d58f5)
        * Upstream Merge   * A race fix on the dbus name (LP: #526499)
          (ea40161)
        * Sync to trunk (7ab5839)
        * Race fixup (9c008cd)

2010-10-20 Ted Gould

        * releasing version 0.2.9-0ubuntu2~ppa2~race2 (52c2b07)
        * Upstream Merge   * Making a printout (77d4ced)
        * Uhg, we need a message to know if we've fixed the bug. (b176944)

2010-10-19 Ted Gould

        * releasing version 0.2.9-0ubuntu2~ppa2~race1 (7fa4cd4)
        * Upstream Merge   * A race fix on the dbus name (ed10f8d)
        * releasing version 0.2.9-0ubuntu2~ppa1 (5bfdd2a)
        * Upstream Merge   * Fixing the Watcher Interface (f5573ca)
        * Merge with Ubuntu Desktop (597ba2a)
        * Add a nice little warning in (ccea5af)
        * Adding a check for the name to ensure we didn't miss it (3758df5)

2010-10-13 Michael Terry

        * ship both pc files in EXTRA_DIST (e8289f9)

2010-10-08 Ted Gould

        * Fixing the Watcher interface (50440e6)

2010-10-08 Aurelien Gateau

        * NotificationHost => StatusNotifierHost, Service =>
          StatusNotifierItem (ea206ef)
        * Fix implementation of org.kde.StatusNotifierWatcher interface
          (6f032f5)

2010-10-06 Michael Terry

        * instead of always building gtk2 and gtk3, add a --with-gtk= flag to
          configure to specify which to build with (3551eb1)

2010-09-22 Didier Roche

        * releasing version 0.2.9-0ubuntu1 (853fe81) (tag: 0.2.9-0ubuntu1)
        * debian/libappindicator0.1-cil.installcligac: Add the 0.1   policy
          file.;  debian/control:   - build with latest
          libindicator-dev for ABI breakage (LP: #637692) (2b4effa)

2010-09-22 Ted Gould

        * releasing version 0.2.9-0ubuntu1~ppa2 (fbedfce)
        * debian/libappindicator0.1-cil.installcligac: Add the 0.1 policy
          file. (d1f389d)
        * Adding a new library line for configure so that we don't end up
          with extra libs in the library. (eab2ebe)
        * releasing version 0.2.9-0ubuntu1~ppa1 (a182b72)
        * New upstream release.   * Fix submenus with Glade applications
          (LP: #608219)   * Add new functions to Mono and Python
          bindings (a374c74)
        * Import upstream version 0.2.9 (f5e7b8e)
        * 0.2.9 (fe08c86) (tag: 0.2.9)

2010-09-21 Ted Gould

        * Fixes for the bindings (7a891ca)

2010-09-21 Sense Egbert Hofstede

        * Resolving conflict when merging with trunk (f8bbae1)
        * Undoing a previous commit that had nothing to do with what I want
          to achive in my merge request. That's what you get for
          misusing old branches\! (e9ed8cb)
        * Created a second policy file to make sure that applications
          depending on 'appindicator-sharp' will not have to be
          recompiled. Changes to the packaging is required to make
          sure the policy file gets installed. (df5dbe2)

2010-09-21 Ted Gould

        * releasing version 0.2.8-0ubuntu2~ppa1 (76442cd)
        * Autogen.sh (dca441b)
        * Upstream Merge   * Fix Mono binding versioning and build (LP:
          #636132) (2491cd3)
        * Merge ubuntu-desktop (50aa305)
        * Fixing Mono bindings to build versions correctly. (1be18c5)

2010-09-20 Sense Egbert Hofstede

        * Remove the redudant set and get functions for the ordering_index
          property from the Mono bindings as we want programmers to
          work witht the property directly. (12d7f82)
        *  * Adding Python bindings for the new API additons  * Updating the
          Mono assembly version to reflect the changes to the API  *
          Remove two redundant elements from the Mono bindings'
          metadata file (3f3c6a0)
        * Merging Jo Shields' fixes to the build infrastructure to shut GAPI
          up. (482276f)

2010-09-19 Jo Shields

        * Bump SONAME in Mono binding to libappindicator.so.1 (316dbc5)
        * The purpose of a dllmap is to turn a DllImport for "foo" into a
          dlopen of "bar". This is most commonly used to make apps
          more cross-platform, by specifying the Windows library
          name (foo.dll) into a Linux/OSX/etc filename
          (libfoo.so.0). (4247b7e)
        * gapi2-parser cannot cope with multiple signals connected to the
          same method - it will bail out, complaining it cannot find
          a method to match the second signal. (b598108)

2010-09-18 Sense Egbert Hofstede

        * Updating to trunk (6c8da9e)
        * Commit latest changes before merging with trunk (e050bfc)

2010-09-15 Ted Gould

        * Adding a disthook for AUTHORS (c2aee8a)

2010-09-15 Ken VanDine

        * releasing version 0.2.8-0ubuntu1 (fee0915) (tag: 0.2.8-0ubuntu1)

2010-09-15 Ted Gould

        * releasing version 0.2.8-0ubuntu1~ppa1 (b8eb440)
        *   * Update the icon if the item is visible (LP: #639643);  New
          upstream release.   * Handle double registration of
          indicators (LP: #621838) (db852e8)
        * Import upstream version 0.2.8 (c876d26)
        * 0.2.8 (a4dc11a) (tag: 0.2.8)
        * Merging of Ubuntu Desktop (859281b)
        * releasing version 0.2.7-0ubuntu1~ppa2 (9ee069f)
        * Update the icon if the item is visible (LP: #639643) (fecd2e9)
        * Upstream Merge   * Update the icon if the item is visible
          (7d4feea)
        * Merging trunk (f30ec96)
        * Making it when we see changes we always update the icon. (9485bb3)
        * releasing version 0.2.7-0ubuntu1~ppa2~attention1 (0e5b5b6)
        * Upstream Merge   * Update the icon if the item is visible
          (7ccd345)
        * Allowing updates if the item is visible. (8e221f4)

2010-09-09 Ken VanDine

        * releasing version 0.2.7-0ubuntu1 (d7a7c77) (tag: 0.2.7-0ubuntu1)

2010-09-09 Ted Gould

        * releasing version 0.2.7-0ubuntu1~ppa1 (4054bd4)
        * Merge from Ubuntu Desktop (4057700)
        * New upstream release.   * Handle double registration of
          indicators (LP: #621838) (250c2b0)
        * Import upstream version 0.2.7 (b6d9801)
        * 0.2.7 (b39568d) (tag: 0.2.7)
        * Handle double registration of indicators. (1f5808c)

2010-09-07 Ted Gould

        * Check for duplicate additions of applications and just rerequest
          properties. (c560340)
        * Extra debugging info (01ca0dc)
        * Logging status change (d18fdf6)

2010-09-02 Ken VanDine

        * releasing version 0.2.6-0ubuntu1 (5e8e9f5) (tag: 0.2.6-0ubuntu1)

2010-08-26 Ted Gould

        * releasing version 0.2.6-0ubuntu1~ppa1 (d3dcecf)
        * Merging from Ubuntu Desktop (6e060fd)
        * New upstream release. (84b7100)
        * Import upstream version 0.2.6 (17e7865)
        * 0.2.6 (7b3e58b) (tag: 0.2.6)

2010-08-25 Ted Gould

        * releasing version 0.2.5-0ubuntu1~ppa2 (166096e)
        * Upstream Merge   * Fixing the position of new indicators (LP:
          #623205)   * Position the ibus and keyboard layout
          indicators correctly. (87c04ea)
        * Ordering i18n and keyboard indicators (c74bade)
        * Putting new icons in the right place (ee3fb93)

2010-08-24 Sense Egbert Hofstede

        * Merging with trunk (c553ba5)

2010-08-20 Ted Gould

        * Get the proper position for an application when it becomes visible.
          (81de048)
        * Handling the typo (35924b4)
        * Adding keyboard and ibus to overrides (d74f776)

2010-08-19 Ken VanDine

        * releasing version 0.2.5-0ubuntu1 (6e18a72) (tag: 0.2.5-0ubuntu1)

2010-08-19 Ted Gould

        * releasing version 0.2.5-0ubuntu1~ppa1 (618737a)
        * New upstream release.   * Allowing approvers to change thier mind
          (f71709a)
        * Import upstream version 0.2.5 (101c8ff)
        * 0.2.5 (b51c1de) (tag: 0.2.5)
        * Fix approver for function change (ced1792)
        * releasing version 0.2.4-0ubuntu2~ppa3 (80345b2)
        * Upstream Merge   * Allowing approvers to change thier mind
          (1c12616)
        * releasing version 0.2.4-0ubuntu2~ppa2 (1051775)
        * Adding a signal for approvers to be able to change their mind
          (0ed6b99)
        * Merging Ubuntu Desktop (18cbc6a)
        * Upstream Merge   * Making it so the approver actually approves
          indicators   * Fixing a small memory leak (6881133)
        * Sync to trunk (425894a)
        * Changing the state machine to have approvers actually aprove
          things. (e930a47)
        * Fixing a memory leak Cody noticed. (fbb9323)

2010-08-18 Ted Gould

        * Flesh out the revise judgement handler to update the list of
          approvers. (9fc60ae)
        * Refactor so that there is a function to look for applications.
          (1865cf3)
        * Connecting into the signal coming from the approver (ca21363)
        * Adding a signal to the approver interface (12c8cd4)
        * Changing function name as well. (a1e4f99)
        * XAyatana the register interface (1d51365)
        * Start some approvin' (e71beec)

2010-08-16 Ted Gould

        * releasing version 0.2.4-0ubuntu2~ppa1~approver3 (82c8332)
        * Upstream Merge   * Fixing approvers retiring off the bus
          (f1a43bb)
        * Commenting out debug message (72c93f2)
        * Making it so that we don't set the proxy to null right away.
          (fb1811e)
        * Making the list so that if there are errors we handle them well.
          (93f92e8)

2010-08-13 Ted Gould

        * releasing version 0.2.4-0ubuntu2~ppa1~approver2 (c712bf0)
        *   * Making it so the approver actually approves indicators;  New
          upstream release.   * Add in ordering IDs   * Adding label
          support into the library   * Adding label support into the
          indicator   * Breaking the ABI in order to get more space
          in the class     structure.   * Allow the icon theme path
          to be changed dynamically (LP: #607831);  debian/control:
          Moving libappindicator0 to libappindicator.
          debian/rules: Moving libappindicator0 to libappindicator1
          * Rebuild with the new gobject introspection (61fbb6f)
        * Upstream Merge   * Updating to trunk   * Fixing application list
          (45fc7d9)
        * Making sure to remove our applications from the list as well.
          (ba5b85a)
        * Responding to approver errors like they're approval. (a0023d1)
        * Uhg, broken merge. (c04a7cf)
        * Updating to trunk (564b2af)
        * Freeing the allocated keys. (eadc69d)

2010-08-12 Ken VanDine

        * releasing version 0.2.4-0ubuntu1 (2840a6f) (tag: 0.2.4-0ubuntu1)

2010-08-12 Ted Gould

        * releasing version 0.2.4-0ubuntu1~ppa1 (2368f53)
        * New upstream release.   * Adding label support into the library
          * Adding label support into the indicator   * Allow the
          icon theme path to be changed dynamically (LP: #607831.
          Rebuild with the new gobject introspection (468ac3c)
        * Import upstream version 0.2.4 (0d7fd31)
        * 0.2.4 (d81670c) (tag: 0.2.4)
        * Merging in Ubuntu Desktop branch (47aa858)
        * releasing version 0.2.3-0ubuntu2~ppa6 (92aca3c)
        * Upstream Merge   * Add in ordering IDs (374ce0d)
        * Sync to trunk (6769e30)
        * Switching to using ordering IDs instead of the LRU file. (f6b5ccd)

2010-08-11 Ted Gould

        * releasing version 0.2.3-0ubuntu2~ppa6~approver1 (91c8163)
        * Upstream Merge   * Making it so the approver actually approves
          indicators (081c349)
        * Changing it so that the list of applications has all the
          applications in it, independent of visible state.
          (7a4bfc9)
        * Making sure to only list the visible applications. (98252b2)
        * Switching the get_position() function to look at the visibility of
          the applications. (fa45eaa)
        * Handle the proxy being destroyed, and cleaning up the approver.
          (d722653)
        * Simplifying the visual state to just be shown/hidden while letting
          the status show which icon is shown. (360e8a4)
        * Switching a few status checks to look at the visible state
          (0db4eb5)
        * Make it so that an approver that gets free'd gets removed from the
          applications list of approval. (4398a69)
        * Moving some TODOs (ba69049)
        * Changing the apply_status function to be less about applying the
          status and more about trying to apply a visual state that
          can be determined by things like approvers.  This means
          that it doesn't get passed the status. (b7419c3)
        * Making sure to clean up the approved by list (ddd8746)
        * Adding a visible state entry to the application structure (a635d68)
        * Managing the list with the approver returns. (fbdf4bf)
        * Changing to a list, we're going to need to track who so when they
          disconnect we can know the state change. (e8b76a6)
        * Adding a count for the number of approvers that have approved the
          application. (efd7be1)
        * Merging in the XLabel branch to handle conflicts. (b7d28a1)
        * releasing version 0.2.3-0ubuntu2~ppa5~order5 (c1b795e)
        * Upstream Merge   * Various fixes to the ordering index
          calculation   * Putting ordering indexes in the X
          namespace (1486db2)
        * Fighting wrap around (f34b5e5)
        * Better debug printing. (d678c35)
        * Using unsigned chars for calculating, we want no sign extension.
          (cfe735b)
        * We were using the wrong function, we want categories not statuses!
          (a0c8fb0)
        * Making a wrapper property for the 'X' domain (9346cf3)
        * Adding the wrapper properties to the get. (7330f01)
        * Adding in a wrapper signal (1fbc480)
        * Adding a set of wrapper properties that can be used by the dbus
          interface. (ea682be)
        * Changing the app store (2a0f0b9)
        * Changing the Dbus interface. (16cdfbc)
        * Putting the ordering index into the 'x' domain. (818f7c4)
        * Making it so that applications will pass '0' over dbus if they
          don't have a set ordering index. (7301841)
        * releasing version 0.2.3-0ubuntu2~ppa5~order4 (bd56ec8)
        * Upstream Merge   * Cleaning up the ID creation and ordering to
          put low numbers to     the right. (68b7423)
        * Ignoring the generate id library object file. (0dd2e79)
        * Instead of using a struct just using multiply, which in all
          reality, is more clear and the compiler will optimize it
          for us. (8bfbd55)
        * Making the categories a case statement. (38c7a01)
        * Switching to be more opaque, but also more sane. (26d50df)
        * Flipping the order (fd956d9)
        * releasing version 0.2.3-0ubuntu2~ppa5 (15f7dee)
        * Autogen (5d6feac)
        * releasing version 0.2.3-0ubuntu2~ppa5~order3 (5dcb1d4)
        * Upstream Merge   * Checking to make sure we get a list of keys
          before using     them.   * Fixing typo for group name in
          overrides file. (3e415d5)
        * Typo (77343b7)
        * releasing version 0.2.3-0ubuntu2~ppa5~order2 (bceb5ac)
        * debian/indicator-application.install: Adding in the
          ordering-override file to this package. (d47d1f1)
        * Ensuring that we got a list of keys so we don't crash (bdd9c85)

2010-08-11 Sebastien Bacher

        * releasing version 0.2.3-0ubuntu2 (77beaba) (tag: 0.2.3-0ubuntu2)

2010-08-10 Ted Gould

        * Autogen (3d26f16)
        * Upstream Merge   * Adding in override files for the ordering IDs
          (21fcf7a)
        * Checking for an override and applying it. (51de4ce)
        * Fleshing out the loading overrides function. (de6c40d)
        * Putting together the pieces to look for override files (f4b22a7)
        * Adding an override hash table (dad491a)
        * Installing the override file in the package specific data
          directory. (73fb38c)
        * Adding in an override keyfile (6c0afe2)
        * releasing version 0.2.3-0ubuntu2~ppa5~order1 (1c31b31)
        * Doc fixes (3a5a1f6)
        * Autogen (e85c5b2)
        * Fixing documentation with new API. (79436bd)
        * Upstream Merge   * Add in ordering IDs (3b61df4)
        * Updating to trunk (a34479e)
        * Removing the LRU file object. (d2c36a2)
        * Removing the LRU file (bf3f4c6)
        * Pulling in the generate ID function as well (961575a)
        * Setting the ordering ID. (c27a7a9)
        * Adding in an ordering index for application structures (09e6c21)
        * I like 'index' better than 'id' -- now everything is consistent.
          (06c0194)
        * Adding 'OrderingIndex' and realigning. (1cac2ea)
        * Providing accessors for the ordering_id property (f04dd09)
        * Storing the value and allowing the get to use a generated value.
          (220d6a3)
        * Uhg, wrong library (4a52e90)
        * Brining generate-id into the fold (5bffdaf)
        * Writing a small little function to generate the ID. (bd2b24f)
        * Adding the ordering id property. (fe604c4)
        * releasing version 0.2.3-0ubuntu2~ppa4 (e4484ff)
        * debian/rules: Moving libappindicator0 to libappindicator1 (352c666)
        * debian/control: Moving libappindicator0 to libappindicator1
          (294f162)
        * Upstream Merge   * Breaking the ABI in order to get more space in
          the class     structure. (e2305c3)
        * releasing version 0.2.3-0ubuntu2~ppa3 (2fd1a6b)
        * Breaking the ABI so we have more space in the class structure
          (d7c7a2a)
        * Upstream Merge   * Adding label support into the library   *
          Adding label support into the indicator;  Autogen *
          Upstream Merge   * Fixing the check of the function
          signature (29311fb)
        * Sync to trunk (0e21b91)
        * Adding label support into the indicator (87bd896)
        * Adding label support into the library. (398dce8)

2010-08-09 Ted Gould

        * Adding the Ordering Index property (c43dd8f)
        * Start with the ABI break. (afac3d9)

2010-08-05 Ted Gould

        * Changing the size of the class structure, the reason for the break.
          (8918685)
        * Incrementing the major version number (18628e9)
        * Adding label support (649c799)
        * releasing version 0.2.3-0ubuntu2~ppa1~label7 (4e4e053)
        * Updating to trunk (79896b0)
        * Bringing in indicator stuff (1ba6811)
        * Syncing with trunk and resolving conflicts (c4045e9)
        * Fixing merge (d377c94)
        * Updating to trunk and resolve conflicts (b1daa47)
        * releasing version 0.2.3-0ubuntu2~ppa1 (9e24b87)
        * Upstream Merge   * Allow the icon theme path to be changed
          dynamically (LP: #607831) (e4c14f7)
        * Support dynamically changing the icon theme path. (9291697)
        * releasing version 0.2.3-0ubuntu2~ppa1~label6 (8ceb58c)
        * Upstream Merge   * Adding a helper update of the icon when
          rebuilding (141558f)
        * Updating with helper when rebuilding. (c1aaada)
        * Tracking the long name along with the application entry. (225167d)
        * Check for suffix when updating icon as well! (593c6b8)
        * releasing version 0.2.3-0ubuntu2~ppa1~label5 (085b99e)
        * Add the ability to toggle the label (83aa68f)
        * Upstream Merge   * Handle label updating and use the guide to
          guess the size. (7f91215)
        * Adding the ability to toggle the label on and off (23e9b56)
        * Showing and hiding the entries with removal. (54c6103)
        * Reshuffling the signaling and making sure to ref the label.
          (b17e625)
        * Not really sure what this TODO meant, so I'm removing it. (38074f5)
        * Some slight refactoring and comments along with the ability to
          remove the entries and recreate them. (08a2c88)
        * Building a label in the case that we don't have one already.
          (a644617)

2010-08-05 Sense Egbert Hofstede

        * Partial, segfaulting, fix for LP: #608219, requires GTK+ change
          attached to same bug report. (1a0c666)

2010-08-05 Ted Gould

        * Adding updating the guide and label size to the label update signal
          (62a5f41)
        * Storing the guide and using it to bound the size of the label.
          (9c46c11)

2010-08-05 Sense Egbert Hofstede

        * Passing the updated icon theme path along with the DBus signal,
          saving a DBus call. (247e5a1)

2010-08-05 Ted Gould

        * releasing version 0.2.3-0ubuntu2~ppa1~label4 (3a3ea03)
        * Upstream Merge   * Fixing the prototype of the added signal
          (0450275)
        * Changing the prototype of the added function. (fff357c)

2010-08-04 Ted Gould

        * releasing version 0.2.3-0ubuntu2~ppa1~label3 (e4dd5ca)
        * Fixing the signal prototype (05be20a)
        * Upstream Merge   * Making the test program count to 100 (77b2b6f)
        * Make sure we get to 100 (1f04ea2)
        * Fixing the prototype for the label changed signal. (208fc00)
        * releasing version 0.2.3-0ubuntu2~ppa1~label2 (1e7513c)
        * Upstream Merge   * Fixing the check of the function signature
          (2ffcd74)
        * Fix the check for the updated function signature. (b83a74c)
        * releasing version 0.2.3-0ubuntu2~ppa1~label1 (1baa860)
        * Adding label support into the indicator (be5cab0)
        * Upstream Merge   * Adding label support into the library
          (6eeaa49)
        * Setting the label in the simple client (f2b8083)
        * If it changes, let's update. (c25bb3c)
        * If we get passed a label let's make a GTK one for fun. (91c8b42)
        * Connecting to the application signal for new label and handling it
          appropriately. (83f5634)
        * Cast once, be happy (04fd119)
        * Sending the label and the guide over dbus if we have them.
          (788b0db)
        * Start tracking the label and the label guide allong with the other
          application properties. (0d11bf6)
        * Whitespace fix (ff9b7b4)
        * Adding in a base signal handler for the label change (d06c102)
        * Adding signal for label changing. (4dea77d)
        * Adding the new entries to the list of the get_apps function.
          (e33d50b)
        * Updating signal emition to match new API (d58186a)
        * Changing prototypes to match DBus API change. (1f1bb2c)
        * Adding labels to the service interface (faf2859)
        * Adding defines for the new properties and signal. (4189a76)
        * Merging in the API changes (8b0b19a)

2010-08-03 Ted Gould

        * More signalling tests. (43e185e)
        * Setting up a basic signals test (6882b4c)
        * Stupid reverse logic in the string comparison. (2925384)
        * Turning null strings into NULLs (f721168)
        * Adding a test to set the label and guides a bunch. (a2e95f1)
        * Signaling when the labels change in the idle loop (52bfc9d)
        * Putting the new define into the docs (0422fcb)
        * Reusing the application service marshallers, not beautiful, but it
          works for now. (84821ec)
        * Adding in a signal to tell when the label is updated. (fc9d5d4)
        * Adding the label funcs to the documentation. (e0f472f)
        * Adding in the convience wrappers (706a72b)
        * Adding the label and guide fields to the private struct and tying
          that into the properties. (e541156)
        * Setting up the label and lable guide properties. (44e84ed)
        * Adding a property to guide the size of the label (89a5ffe)
        * These have needed to be ignored for a while. (6de3d6f)
        * This shouldn't be in Bazaar (9f0e3c6)
        * Adding the label property and a signal for it changing. (456347a)

2010-07-22 Sense Hofstede

        * Fixed two G_PARAM_SPECS and made it even more possible to remove
          the custom icon theme path. (0a8c09e)
        * Fix wrong naming that caused the signal to be missed (0dbf34a)
        * Clean-up and renaming variables and functions everywhere to use
          icon_theme_path for the sake of consistency. (0bbee36)

2010-07-22 C10uD

        * forgot some files (3fb0e11)
        * trying to implement runtime theme-path changing (4780617)

2010-07-15 Ted Gould

        * Updating to Ubuntu Desktop (3f326bd)

2010-07-15 Ken VanDine

        * releasing version 0.2.3-0ubuntu1 (38feb55) (tag: 0.2.3-0ubuntu1)

2010-07-15 Ted Gould

        * releasing version 0.2.3-0ubuntu1~ppa1 (8faa8b6)
        * New upstream release. (a32741d)
        * Import upstream version 0.2.3 (863cd1c)
        * 0.2.3 (17dea09) (tag: 0.2.3)

2010-07-13 Ted Gould

        * releasing version 0.2.2-0ubuntu2~ppa2 (76c177b)
        * Autogen update (c95f517)
        * Merge upstream   * Fixing test for slower machines (35cad52)
        * Adjusting the tests so they can deal with slow systems better.
          (37d583e)

2010-07-12 Ted Gould

        * Ignoring the tester script (e1dc7c0)
        * Add a fail timeout so this test can't block. (930a79a)
        * Adding in setting the environment variable to adjust the timeout to
          be twice as long for slow systems. (8a0649a)
        * releasing version 0.2.2-0ubuntu2~ppa1 (0de45ad)
        * Autogen update (791daf2)
        * Merge upstream   * Adding an Approver API to remove things from
          the AppIndicators. (e273b81)
        * Putting in a basic approver API. (7ef1834)

2010-07-09 Ted Gould

        * Need the built headers too (25b69bb)
        * Oops, with a menu we're all GTK now. (1b89529)
        * Building up to a formal test (3c43fed)
        * Filling out the approve function. (12c8596)
        * Filling out the approver prototype (0bf54f5)
        * Building an application indicator too! (d7c39d7)
        * Making the registration async to clean things up, and async is
          better anyway. (ed8163b)
        * Some more error handling and better debug messages. (5b41b1e)
        * Helpful debug info (018bf0e)
        * Okay, so now we're detecing when the watcher comes up, and
          registering ourselves as the approver. (fd3e18e)
        * Adding a new sample approver (8072a97)
        * When we have new apps we can ask the approver about them. (306a78b)
        * Looking at all the applications when we get a new approver.
          (b3a0f3e)
        * Building the approver structure and putting it in the list.
          (a281700)
        * Comments (4f7e748)
        * Adding some structures for approvers and making them real.
          (93572f1)
        * For DBus to real objects, the signal shall travel. (2986445)
        * Adding a function to bring in approvers (d7c7324)
        * Sync to trunk (fb4da4a)

2010-07-08 Ted Gould

        * Sync to Ubuntu Desktop branch (4e2c23b)
        * Use a private pointer instead of a lookup. (1ddd622)

2010-07-08 Sense Hofstede

        * Removed all but one calls to the
          APPLICATION_SERVICE_APPSTORE_GET_PRIVATE() macro (925e3d8)

2010-07-08 Sebastien Bacher

        * releasing version 0.2.2-0ubuntu1 (22da24c) (tag: 0.2.2-0ubuntu1)

2010-07-08 Ted Gould

        * releasing version 0.2.2-0ubuntu1~ppa1 (8ce01c5)
        * New upstream release. ∘ Work with updated container signal names
          (2a931ef)
        * Import upstream version 0.2.2 (44880df)
        * 0.2.2 (a627c07) (tag: 0.2.2)

2010-07-07 Ted Gould

        * Merging this branch, but I think it's fixes must have gone in with
          another. (cf31f2f)
        * Working with the better container signals (eed6cf0)

2010-07-06 Ted Gould

        * Updating to Ubuntu Desktop (033b032)

2010-07-01 Ted Gould

        * Return a boolean (a8aac3a)

2010-06-25 Ted Gould

        * Adding in a template function to register approvers. (6cf35d7)
        * Adding a function to register an approver. (4c9f434)
        * Adding an approver interface. (a46a27a)

2010-06-22 Didier Roche

        * releasing version 0.2.1-0ubuntu1 (711cb0b) (tag: 0.2.1-0ubuntu1)

2010-06-21 Ken VanDine

        * New upstream release.   * Fix icon updating (LP: #594199)   *
          Change Mono bindings to only parse particular files (LP:
          #592706)   * Make a policy for migrating the mono bindings
            * Test fixes to make them more reliabl.
          debian/control: Fixing version numbers;  debian/control:
          Making the 0.1-cil replace and provide the 0.0-ci.
          debian/libappindicator0.1-cil.installcligac: Add the
          policy.dll   file to the install.;  Upstream release 0.0.2
            * Updates API to use GTK instead of dbusmenu to make it
             easier for upstream developers to use. (90a5410)

2010-06-21 Ted Gould

        * releasing version 0.2.1-0ubuntu1~ppa1 (61a4f68)
        * Making some files match upstream relases that don't. (1c6a483)
        * New upstream release.   * Fix icon updating (LP: #594199)   *
          Change Mono bindings to only parse particular files (LP:
          #592706)   * Make a policy for migrating the mono bindings
            * Test fixes to make them more reliable (0ac50a3)
        * Import upstream version 0.2.1 (3439224)
        * 0.2.1 (20f0c1d) (tag: 0.2.1)
        * Fixing versions of concflicts. (458ad9a)
        * Fixing policy version numbers. (a4976d3)

2010-06-21 Ken VanDine

        * Don't conflict with libappindicator0.0-cil, just replace and
          provide (db008b0)
        * Use full assembly version for the policy file (ac400f7)
        * Specify versions for Replaces/Conflicts for libappindicator0.0-cil
          (e48a4c7)

2010-06-21 Ted Gould

        * releasing version 0.2.0-0ubuntu4~ppa6 (55e7722)

2010-06-19 Michael Terry

        * use gtk3 versions of dbusmenu and indicator; use appindicator3 0.1
          rather than appindicator 3.1 (60abdc2)
        * first pass at gtk3 version of libappindicator (e1f36a8)

2010-06-18 Ted Gould

        * Conflicts as well (bec7e4e)
        * debian/control: Making the 0.1-cil replace and provide the 0.0-cil
          (591b407)
        * debian/control: Fixing version numbers (d2a540c)
        * releasing version 0.2.0-0ubuntu4~ppa5 (b741fd3)
        * debian/libappindicator0.1-cil.installcligac: Changing version
          policy applies to. (b1f6a47)
        * Autogen (fe4f2d9)
        * Upstream merge   * Changing the policy to be for 0.0 (7eac5d7)
        * Setting the policy version. (9745469)
        * releasing version 0.2.0-0ubuntu4~ppa4 (955c737)
        * debian/libappindicator0.1-cil.installcligac: Add the policy.dll
          file to the install.;  Autogen (570ea94)
        * Upstream merge   * Make a policy for migrating the mono bindings
          (6bee066)
        * Fix mono versioning. (f9a13d5)
        * Cleaning up file name definitions (787b920)
        * Adding the policy config to the installed files. (f23786e)
        * Switching to the policy name. (c5c2670)
        * Swithcing the version to be the assembly version. (64a712f)
        * Fixup the gacutil stuff.  Still doesn't ununinstall. (c012b2a)
        * Fixing policy name (f8f18e9)
        * Replacing the macros with the proper data (35915da)
        * Forgot to merge in packaging branch.  Linking now. (16680b1)
        * releasing version 0.2.0-0ubuntu4~ppa3 (b076c2b)
        * Adding bug number (910aa3a)
        * Upstream merge   * Fix icon updating (LP: #594199) (4eb17f9)
        * Make icon switching work again. (87d82b8)
        * Fixing the distcheck by cleaning up (e434b93)
        * Readjusting so that the policy file is in the same directory as the
          DLL (c0f6417)
        * Fixing directories (5ea2df7)
        * Typo (814bed1)
        * Generating a policy dll (f399d89)
        * releasing version 0.2.0-0ubuntu4~ppa2 (ceac804)
        * Upstream Merge   * Change Mono bindings to only parse particular
          files;  Autogen.  For fun and profit.;  Upstream release
          0.0.2   * Updates API to use GTK instead of dbusmenu to
          make it     easier for upstream developers to use.
          (4b33012)
        * Sync to trunk (0299891)
        * Fix mono bindings by restricting gapi2-parser (250a731)
        * Remove the assert with checking if the value is NULL. (d4f5fa7)

2010-06-17 Ted Gould

        * releasing version 0.2.0-0ubuntu4~ppa2~icons3 (782f9e5)
        * Upstream merge   * Using class_ref and unref to allocate the type
          if need be (985eb70)
        * Use class ref and unref to allocate it if need be. (ce25d4c)
        * releasing version 0.2.0-0ubuntu4~ppa2~icons2 (c204273)
        * Upstream Merge   * Fixing the enum lookup from nick (28a5a2e)
        * Reworking to make more clear and use the GEnumValue structure
          correctly. (e589eca)
        * releasing version 0.2.0-0ubuntu4~ppa2~icons1 (6ee70d2)
        * Upstream Merge   * Making it so that icons can be changed at any
          time. (81e0ff2)
        * releasing version 0.2.0-0ubuntu4~ppa1 (9119e00)
        * Upstream Merge   * Test fixes to make them more reliable
          (c4314c8)
        * Icon name shouldn't be construct only. (fc6b18b)
        * Linking Bug (a835081)
        * releasing version 0.2.0-0ubuntu4~ppa1~monofix2 (9a0770c)
        * Autogen.  For fun and profit. (b6e10ee)
        * releasing version 0.2.0-0ubuntu4~ppa1~monofix1 (b62203f)
        * Upstream Merge   * Change Mono bindings to only parse particular
          files   * Test fixes for Hudson builds (dc1a9ec)
        * Only work with specific files instead of the whole directory.
          (750406e)
        * Sync to Ubuntu desktop (53d1e55)

2010-06-14 Ken VanDine

        * renamed cil binary to libappindicator0.1 to match the assembly
          version (LP: #592706) (c6734d2)

2010-06-11 Ted Gould

        * Changing signal names and getting the ones on the base menu as
          well. (95c7907)
        * Changing the signal names (34a4af9)
        * More time for initial fallback. (cdb0efc)
        * Increase the timeouts, but make it so that the watcher shutsdown
          when seen. (6eedd6e)
        * Increasing timeout to hopefully make it work on Hudson with load.
          (259c519)

2010-06-11 Ken VanDine

        * renamed cil binary to libappindicator0.1 to match the assembly
          version (0eb105d)

2010-06-08 Sebastien Bacher

        * releasing version 0.2.0-0ubuntu2 (52ebd17) (tag: 0.2.0-0ubuntu2)

2010-06-07 Sebastien Bacher

        * releasing version 0.2.0-0ubuntu1 (0fb6915) (tag: 0.2.0-0ubuntu1)

2010-06-04 Ken VanDine

        * New upstream release.   * Unref the child that was created   *
          Build GIR and VAPI files (LP: #510610)   * Fixes to
          documentation and enum construction   * Fix distcheck   *
          Merging patch to add assembly information to Mono
          binding (LP: #547195);  debian/control: Add GObject
          Introspection and Vala build   dependencies.;  Added
          debian/gir1.0-libappindicator-0.1.install and modified
          debian/control and debian/libappindicator-dev.install to
          handle   the VAPI and GI files.
          debian/libappindicator0.0-cil.install: Fixing directory of
          cli files (83ea782)

2010-06-03 Ted Gould

        * releasing version 0.2.0-0ubuntu1~ppa1 (ebc5cbf)
        * Fixing control file (5ffc5c9)
        * Fixing typo (d5f07a0)
        * debian/libappindicator0-cli.install: Fixing directory of cli files
          (fa7673f)
        * Fixing so files that got lost. (ec772ab)
        * Getting some files back... where did they go. (d7f06e7)
        * Added debian/gir1.0-libappindicator-0.1.install and modified
          debian/control and debian/libappindicator-dev.install to
          handle the VAPI and GI files. (ead73d0)
        * Build GIR and VAPI files (LP: #510610) (da48072)
        * debian/control: Add GObject Introspection and Vala build
          dependencies. (f50f08a)
        * New upstream release.   * Build GIR and VAPI files   * Fixes to
          documentation and enum construction   * Fix distcheck
          (614e30a)
        * Import upstream version 0.2.0 (0f7ba97)
        * Changing revision for merge-upstream (d3216b9)
        * 0.2.0 (27fe45b) (tag: 0.2.0)

2010-06-01 Ted Gould

        * Distcheck fixes (3651994)
        * Merging in trunk (1b748b2)
        * Fixes to docuementation and making the enums build correctly with
          gtk-mkenum (e0ddc2d)

2010-05-23 Sense Hofstede

        * Documentation and introspection fixes and such (01fafa4)

2010-05-20 Ted Gould

        * Sync to trunk to ensure no conflicts. (0e3c221)
        * Merging in the 0.1 series branch (ef11b71)
        * Merging in updates from the 0.1 series branch (f7fd52b)
        * releasing version 0.0.21-0ubuntu1~ppa1 (7cb5463)
        * New upstream release.   * Adding AssemblyInfo.cs for building
          (144908d)
        * Import upstream version 0.0.21 (84e75c6)
        * releasing version 0.0.20-0ubuntu1~ppa1 (2cbdb9f)
        * 0.0.21 (6fcbfe5) (tag: 0.0.21)
        * Build fix to include the AssemblyInfo.cs file (38c5c10)
        * Forgot to drop the patch (d16ae42)
        * New upstream release.   * Unref the child when created in
          libappindicator (LP: #569273)   * Merging patch to add
          assembly information to Mono     binding (LP: #547195.
          Remove child-leakage.patch as merged upstream (086d22c)
        * Import upstream version 0.0.20 (9b028d9)
        * Desktop sync (bdec505)
        * 0.0.20 (cd4c6e0) (tag: 0.0.20)
        * Only grab the app indicator files. (20a976b)
        * Ignoring the lru file header (29a3d02)
        * Fixing which sources are marked as BUILT (6efcf99)
        * Bringing along the AssemblyInfo.cs file and fixing its path
          (9366eb0)
        * Okay, now everyone is in the right directory, I think. (a403884)
        * Need to look for things in the source directory too! (a106e8d)
        * Fix C includes fro teh VAPI/GIR files (8f8efd3)
        * Adding GIR/VAPI support and flattening directories (e09b459)
        * releasing version 0.2.0~dev-0ubuntu1~ppa2 (3c5b3e5)
        * Upstream Merge   * Unref the child that was created (6a47d48)
        * Woot, trunked (80633ae)
        * Stopping the leakage of children. (ea79d7f)
        * Fixing the ref leakage of a child object. (22423f9)

2010-05-20 Sebastien Bacher

        * releasing version 0.0.19-0ubuntu5 (3096e10) (tag: 0.0.19-0ubuntu5)

2010-05-20 Ken VanDine

        * debian/patches/child-leakage.patch   - Fixes a memory leak (LP:
          #569273) (1e43a91)

2010-05-19 Ted Gould

        * releasing version 0.2.0~dev-0ubuntu1~ppa2~childleak1 (f777fc6)
        * Upstream Merge   * Unref the child that was created (8620702)
        * releasing version 0.2.0~dev-0ubuntu1~ppa1 (6293246)
        * Upstream Merge   * kicking off new branch (0f690c2)
        * Dummy commit (d469436)
        * Changing it so the object gets unref'd (8566afc)

2010-04-29 Ted Gould

        * Ignoring built VAPI file (0b09164)
        * Now, build us a VAPI! (fae0a61)
        * Fixing the ignore list. (f5c58a8)
        * Building the GIR file (3ef5fec)
        * Removing the libappindicator directory to make things simpler
          (ba1fd39)
        * Add introspection stuff here (0bd103a)

2010-04-28 Ted Gould

        * Adding the introspection.m4 for our new rules (27490e3)
        * Adding introspection and VAPI checks (3dc48c0)

2010-04-21 Sebastien Bacher

        * releasing version 0.0.19-0ubuntu4 (86518f0) (tag: 0.0.19-0ubuntu4)

2010-04-16 Ted Gould

        * Patch for package names (04a9942)
        * Sync to desktop (b53899d)

2010-04-14 Sebastien Bacher

        * releasing version 0.0.19-0ubuntu3 (4f93e61) (tag: 0.0.19-0ubuntu3)

2010-04-14 Ted Gould

        * Sync to Ubuntu Desktop (d15e362)
        * Merging patch to add assembly information to Mono binding (LP:
          #547195) (1d8e044)
        * Adding assembly info for Mono bindings (2c90c6c)

2010-04-14 Cody Russell

        * Add AssemblyInfo.cs to the Mono bindings. (6b3689e)

2010-04-14 Sebastien Bacher

        * releasing version 0.0.19-0ubuntu2 (73b7491) (tag: 0.0.19-0ubuntu2)

2010-04-14 Ted Gould

        * debian/control:   + Set libappindicator0-cil and
          libappindicator-cil-dev to Arch: all   + Make
          libappindicator0-cil depend on libappindicator0 >=
          ${source:Version}     instead;  debian/rules:   + Fix
          ordering of dh_*cli* (LP: #560095.
          debian/libappindicator0-cil.install,
          debian/libappindicator0-cil.installcligac:   + Fix CLI
          policy breakage:     - Wrong installation paths for GAC'd
          CLI libraries     - Direct installation of GAC'd libraries
          (d38c39a)
        * Sync to desktop (abb09f2)

2010-04-13 Neil Jagdish Patel

        * Add G_LOG_DOMAIN support to the various targets for better messages
          (7210a54)

2010-04-01 Sebastien Bacher

        * releasing version 0.0.19-0ubuntu1 (40b74a1) (tag: 0.0.19-0ubuntu1)

2010-04-01 Ted Gould

        * releasing version 0.0.19-0ubuntu1~ppa1 (734b874)
        * New upstream release.   * Don't set the fallback timer if we're
          already in a fallback     mode to avoid unfalling back
          excessively. (LP: #529052)   * Fix distcheck of
          documentation (45e7b47)
        * Import upstream version 0.0.19 (d005a22)
        * Disable merge mode (70600e1)
        * 0.0.19 (1fbc5af) (tag: 0.0.19)
        * Fixing documentation distcheck (2ee85c2)
        * Moving field documentation into a different comment block so that
          they're private (ba28468)
        * Making it so the timer doesn't get set if we're already in the
          fallback case. (ff63763)
        * Catch up to trunk (bf2c8f1)
        * Don't store the panel suffix, just add it for the fallback icons.
          (5055af8)
        * Adding in documentation for the private structure. (14aebe4)
        * Make it so that we don't store the panel-suffix icons but we do use
          them with the status icon. (5aa064c)
        * No timer if we're already in fallback. (d6bb68c)

2010-03-30 Ted Gould

        * releasing version 0.0.18-0ubuntu2~ppa1 (4ed0753)
        * Upstream Merge   * Setup the icons to use the -panel variants
          even when falling     back to status icons.  (LP: #547072)
            * Change python bindings to use _with_path so that they
          can set     the icon path.  (LP: #527061) (8ca677a)
        * Updating to Ubuntu Desktop (2d7ae83)
        * Merging fix to make it so that python apps can set an icon path.
          (d3026a2)

2010-03-30 C10uD

        * Patch 001 from bug 527061 (4bbf4c0)

2010-03-30 Sebastien Bacher

        * releasing version 0.0.18-0ubuntu1 (fd1ec3c) (tag: 0.0.18-0ubuntu1)

2010-03-29 Ken VanDine

        * Upstream Release 0.0.18   * Change when there are updates to
          Check and Radio buttons via     their actions.  (LP:
          #542221)   * Fixing icon updating with themes and naming
          fallbacks with     the status icon fallback.  (LP:
          #532858) (64eef1a)

2010-03-29 Ted Gould

        * Tracking the icon name and included the panel suffix for fallback
          usage. (9fddbf6)

2010-03-25 Krzysztof Klimonda

        * use gchar instead of for the clarity (1d03452)
        * Make app_indicator_set_property also set the suffixed icon_name.
          (5bf0d10)
        * Make GtkStatusIcon use icons with the panel suffix if available.
          (64c0273)

2010-03-25 Ted Gould

        * releasing version 0.0.18-0ubuntu1~ppa1 (dd8d40d)
        * Upstream Release 0.0.18   * Change when there are updates to
          Check and Radio buttons via     their actions.  (LP:
          #542221)   * Fixing icon updating with themes and naming
          fallbacks with     the status icon fallback.  (LP:
          #532858) (5483c83)
        * 0.0.18 (9919c5e) (tag: 0.0.18)
        * Fixing tests to use GTK for icon theme fixes. (b4e1960)
        * Fixing icon changing with fallbacks. (275909f)

2010-03-25 Krzysztof Klimonda

        * remove g_object_ref_sink call from status_icon_changes (26a1f26)

2010-03-23 Ted Gould

        * Update to track toggle changes in actions. (105b2a0)

2010-03-22 Krzysztof Klimonda

        * Use app_indicator_get_icon/app_indicator_get_attention_icon methods
          to get the right icon. (85400dc)
        * Move g_signal_connect for the theme-changed signal to
          app_indicator_init () (c80fe4d)
        * don't use indicator_image_helper () (16a9a73)

2010-03-20 Krzysztof Klimonda

        * Fix the missing icon on theme change if old icon has different name
          (b531c56)

2010-03-19 Sense Hofstede

        * Make sure the state of GtkCheckMenuItems and GtkRadioMenuItems gets
          updated even when they're changed via their actions.
          (c18de95)

2010-03-18 Sebastien Bacher

        * releasing version 0.0.17-0ubuntu1 (05da30c) (tag: 0.0.17-0ubuntu1)

2010-03-18 Ken VanDine

        * Upstream Release 0.0.17   * Support GTK's show menu items
          property (LP: #528527)   * Fix status and category nicks
          in Python bindings (LP: #539858)   * Switch domains to
          org.kde instead of org.freedesktop as spec     was never
          officially approved by that body. (5581a39)

2010-03-18 Ted Gould

        * releasing version 0.0.17-0ubuntu1~ppa1 (543f7fc)
        * Upstream Release 0.0.17   * Support GTK's show menu items
          property (LP: #528527)   * Fix status and category nicks
          in Python bindings (LP: #539858)   * Switch domains to
          org.kde instead of org.freedesktop as spec     was never
          officially approved by that body. (d5717ba)
        * Sync to Ubuntu Desktop (b839c8a)
        * 0.0.17 (42de500) (tag: 0.0.17)

2010-03-17 Ted Gould

        * Fix nicks on Python bindings. (65febbd)

2010-03-16 Sense Hofstede

        * Make the nicks of the AppIndicatorCategory and AppIndicatorStatus
          types adhere the specification in the Python bindings as
          well (Closes: #539858) (414b5f8)

2010-03-15 Ted Gould

        * Changing from freedesktop to kde as the spec was never approved
          finally by freedesktop. (9be1c6d)

2010-03-15 Aurelien Gateau

        * org.freedesktop.StatusNotifier* => org.kde.StatusNotifier*
          (42fd4ba)

2010-03-15 Sebastien Bacher

        * releasing version 0.0.16-0ubuntu2 (ddee75a) (tag: 0.0.16-0ubuntu2)

2010-03-15 Ted Gould

        * Make the icons follow the show menu icons property. (c88bf0b)

2010-03-15 Jan Arne Petersen

        * Only show images if "gtk-menu-images" settings or
          "always-show-image" property is TRUE. (4ade827)

2010-03-11 Sebastien Bacher

        * releasing version 0.0.16-0ubuntu1 (04fecf2) (tag: 0.0.16-0ubuntu1)

2010-03-11 Ted Gould

        * releasing version 0.0.16-0ubuntu1~ppa1 (0be5c8b)
        * debian/control: Increasing the libindicator-dev dependency to 0.3.5
          to match upstream. (079ae03)
        * Upstream release 0.0.16   * Use libindicator icon loading helper
           * Workaround for label changes on GtkActions   * Testing
          fix for using xvfb (837d679)
        * Update to ubuntu-desktop (9504966)
        * 0.0.16 (bf1f152) (tag: 0.0.16)
        * Adding a two second wait to make seting up Xvfb more reliable.
          This is similar to xvfb-run. (1720ce3)
        * Using the new image loader utilities in libindicator (9f09be2)
        * Switching to use the update function. (6b6a72d)
        * Upping libindicator required version to 0.3.5 (b3f9c44)

2010-03-10 Ted Gould

        * Removing design team size (c9b8c0a)
        * Also using the helper when changing icons. (e785284)
        * Switching to using the libindicator image helper (249bcd9)

2010-03-08 Ted Gould

        * Workaround to make action label updates get caught and update the
          label. (a503e71)

2010-03-08 Jan Arne Petersen

        * Listen also to label changes on actions related to menu items to
          workaround a gtk+ bug. (27a7bb9)

2010-03-04 Sebastien Bacher

        * releasing version 0.0.15-0ubuntu1 (8dcf6e3) (tag: 0.0.15-0ubuntu1)

2010-03-04 Ted Gould

        * releasing version 0.0.15-0ubuntu1~ppa1 (3174368)
        * Upstream release 0.0.15   * Icon size fix to 22 px   * Status
          icon correctly removed in fallback   * Fixed test suite to
          run better on slow machines. (03519bd)
        * 0.0.15 (fa72360) (tag: 0.0.15)

2010-03-02 Ted Gould

        * Lengthing kill timer to be a little longer for slow systems.
          (588e856)
        * Fixing application icon size. (1323afb)

2010-03-01 Ted Gould

        * Switching from hide to visible. (cda145d)

2010-02-28 Ted Gould

        * Merge with Ubuntu Desktop (d7ff915)

2010-02-27 Chris Coulson

        * Use gtk_status_icon_set_visible to hide the status icon.
          GtkStatusIcon is not derived from GtkWidget, so
          gtk_widget_hide doesn't work (70c46ca)

2010-02-26 Ted Gould

        * Switching from menu size to design team size (cc62e3c)

2010-02-25 Sebastien Bacher

        * releasing version 0.0.14-0ubuntu1 (55be444) (tag: 0.0.14-0ubuntu1)

2010-02-25 Ken VanDine

        * Upstream release 0.0.14 ∘ Fix mono bindings to include proper
          metadata (LP: #526620) ∘ Send connection changed signal
          when the proxy is created and destroyed (LP: #527082) ∘
          Hide the fallback status icon before unrefing it. (LP:
          #526041) ∘ Increase dbus-glib version check to 0.82 ∘
          Handle menu layout changes and visibility changes better.
          ∘ Improve testing stability ∘ Read menu sensitivity on
          startup. ∘ Handle null strings when evaluating whether we
          have an attention icon. ∘ Remove dbus objects when we
          fallback ∘ Disconnect client_menu_changed signal handlers
          on cleanup. ∘ Handle cases where the menu gets unset on
          updates. ∘ Fix custom labels on stock items. ∘ Adds
          support for submenus (089972e)

2010-02-25 Ted Gould

        * releasing version 0.0.14-0ubuntu1~ppa1 (23541b9)
        * Upstream release 0.0.14 ∘ Fix mono bindings to include proper
          metadata (LP: #526620) ∘ Send connection changed signal
          when the proxy is created and destroyed (LP: #527082) ∘
          Hide the fallback status icon before unrefing it. (LP:
          #526041) ∘ Increase dbus-glib version check to 0.82 ∘
          Handle menu layout changes and visibility changes better.
          ∘ Improve testing stability ∘ Read menu sensitivity on
          startup. ∘ Handle null strings when evaluating whether we
          have an attention icon. ∘ Remove dbus objects when we
          fallback ∘ Disconnect client_menu_changed signal handlers
          on cleanup. ∘ Handle cases where the menu gets unset on
          updates. ∘ Fix custom labels on stock items. ∘ Adds
          support for submenus (579c1e0)
        * 0.0.14 (bc5b940) (tag: 0.0.14)
        * Ignoring everything. (ddbb7c0)
        * Changing the metadata to have the proper signal names in it.
          (806f651)
        * Emitting the connection changed signal when the proxy is created
          and destroyed. (464e29f)
        * Hide the status icon when unref'd (bb72be9)
        * Hiding the notification icon before unreffing it. (1cfa837)

2010-02-25 Sense Hofstede

        * Do send the connection-changed signal, in check_connect() -- when
          a new connection is established --
          watcher_proxy_destroyed() and app_indicator_dispose()
          (Closes LP: #527082) (e8fe4dd)
        * Correct the Mono bindings metadata to properly bind with the
          signals (Closes LP: #526620) (2aec0b9)

2010-02-23 Ted Gould

        * Sync to Ubuntu Desktop (9d1ecc8)

2010-02-23 Sebastien Bacher

        * releasing version 0.0.13-0ubuntu8 (b42f475) (tag: 0.0.13-0ubuntu8)

2010-02-23 Ted Gould

        * releasing version 0.0.13-0ubuntu8~ppa1 (1d1afe2)
        * debian/control: Checking for dbus-glib >= 0.82 (0d3da8e)
        * Upstream Merge   * Checking for dbus-glib version 0.82 (50aff10)
        * Adding a check for dbus-glib version.  The patch to unregister
          requires v. 0.82 (1572f64)
        * Updating to ubuntu-desktop revision (8af2c8c)
        * releasing version 0.0.13-0ubuntu3~ppa4 (cbdd6a7)
        * Handling the visibility of menus better (1e5be58)
        * Upstream merge   * Fixing automatic updating of menus   *
          Handling the visibility of menus better   * Improve
          testing to be more reliable   * Handle null string
          attention icons (8c0532f)
        * Fixes to get the menus updated and visibility all handled nicely.
          (2fdd555)
        * Updated patch for the visibility field (100dd09)

2010-02-23 Jan Arne Petersen

        * Second patch on 524150 (44ff7ab)

2010-02-22 Ted Gould

        * releasing version 0.0.13-0ubuntu3~ppa3~menu3 (4589ee8)
        * Upstream Merge   * Blocking tearoffs (1b76f58)
        * NO TEARY! (78429e8)
        * releasing version 0.0.13-0ubuntu3~ppa3~menu2 (bc743fa)
        * Upstream Merge   * Using foreach instead of forall (0940357)
        * Looking at children with foreach instead of forall (1d6eba2)
        * releasing version 0.0.13-0ubuntu3~ppa3~menu1 (3676f11)
        * Upstream merge   * Menu updates connections (dd2a9a5)

2010-02-22 Jan Arne Petersen

        * Creates and event handler for the add and remove signals to
          recreate the menu (75ccac5)

2010-02-22 Ted Gould

        * Making the fallback test more robust on slow systems. (225f291)
        * Fall out of the while, sometime, if we really think it's not
          recoverable. (bf13c7a)
        * Trying to make the test a little more robust by waiting for the
          other process to register on the bus, and then waiting.
          (a067b5b)

2010-02-22 Sebastien Bacher

        * releasing version 0.0.13-0ubuntu7 (d0087bc) (tag: 0.0.13-0ubuntu7)

2010-02-22 Ted Gould

        * Patch to read sensitivity on startup. (e5612de)
        * Fixes bug 522151 (7b02e4c)

2010-02-22 Jan Arne Petersen

        * Set the sensitive state when starting out. (271d86b)

2010-02-22 Ted Gould

        * Properly look for null strings in the attention icon. (0135db5)

2010-02-19 Ted Gould

        * Improving the dbus tests so that they have a mock watcher in them.
          (96f2eb9)
        * Adding a mock server here as well (7e683f7)
        * Putting in a mock watcher so we don't fall back. (e035620)

2010-02-19 Martin Pitt

        * releasing version 0.0.13-0ubuntu6 (05db164) (tag: 0.0.13-0ubuntu6)

2010-02-19 Ken VanDine

        * set to UNRELEASED (5308b54)
        * Cherrypick fix to check for a null string as the attention ico.
          Cherrypick fix to remove the registration of dbus objects
          (LP: #497870)   - lets us drop
          debian/patches/unregister.patch (a889ee7)
        * Cherry picked fix to check for a null string as the attention icon
          (b1e72a5)

2010-02-19 Ted Gould

        * Checking for a null string as the attention icon. (780acae)

2010-02-19 Martin Pitt

        * releasing version 0.0.13-0ubuntu5 (494d1b1) (tag: 0.0.13-0ubuntu5)

2010-02-19 Ken VanDine

        * debian/patches/unregister.patch   - Fix to remove the
          registration of dbus objects (LP: #497870) (d90b4c3)

2010-02-19 Ted Gould

        * Fix to remove the registration of dbus objects (435edba)
        * Attaching bug (b0a873f)
        * Removing debug output (b79a5bb)

2010-02-19 Jan Arne Petersen

        * Fix to unregister the object (9012c49)

2010-02-17 Ted Gould

        * Disconnect signal handlers when unreffing the menu. (42e1e57)

2010-02-17 Sebastien Bacher

        * releasing version 0.0.13-0ubuntu4 (2ac7533) (tag: 0.0.13-0ubuntu4)

2010-02-17 Cody Russell

        * Disconnect 'client_menu_changed' in dispose method. (715d752)

2010-02-16 Ted Gould

        * releasing version 0.0.13-0ubuntu3~ppa2 (386128a)
        * Upstream Merge   * Fixing a crash by checking for NULL (66e7fd1)

2010-02-16 Cody Russell

        * Check priv->menu for non-NULL (de406e5)

2010-02-16 Ted Gould

        * releasing version 0.0.13-0ubuntu3~ppa1 (99f3dd5)
        * Upstream Merge   * Submenu support   * Updating menus (1b3b3fe)

2010-02-16 Sebastien Bacher

        * releasing version 0.0.13-0ubuntu3 (60b206c) (tag: 0.0.13-0ubuntu3)

2010-02-12 Ted Gould

        * Fixing visibility changes and when menuitems get added and deleted.
          (2cc377b)

2010-02-12 Cody Russell

        * Minor cleanup (84137b6)
        * Change the indentation for this case to be the same as the others.
          (e18cf83)
        * Just to be safe, let's connect these at the end. (1c7a301)
        * Use dbusmenu_menuitem_property_set_bool(), and also fix some
          indenting. (02b6144)

2010-02-12 Ted Gould

        * Fixing labels on stock items. (350a701)

2010-02-12 Cody Russell

        * Handle menuitem visibility changes, and additions/removals from
          menus. (8b257dc)

2010-02-12 Sense Hofstede

        *  * When a GtkImageMenuItem has got a stock icon set don't just
          assume it's also using the stock label, but check first.
          (Closes: #520048) (e192dea)

2010-02-12 Ted Gould

        * Updating to Ubuntu Desktop (5fef5a2)

2010-02-12 Sebastien Bacher

        * releasing version 0.0.13-0ubuntu2 (be1ce77) (tag: 0.0.13-0ubuntu2)

2010-02-11 Ted Gould

        * Adding in submenu support. (a98fd45)

2010-02-11 Cody Russell

        * Submenus (af5ac81)

2010-02-11 Ken VanDine

        * releasing version 0.0.13-0ubuntu1 (4102c4d) (tag: 0.0.13-0ubuntu1)

2010-02-11 Ted Gould

        * releasing version 0.0.13-0ubuntu1 (f7b909c)
        * Upstream release 0.0.13   * Changing the menu property to be a
          proper DBus object path   * Make object paths unique by
          including application IDs in them (bbebb7a)
        * Sync to Ubuntu Desktop (a94ef5f)
        * 0.0.13 (14abe9a) (tag: 0.0.13)
        * Fix to make the dbus paths unique by using the ID of the
          application. (0e783eb)

2010-02-10 Ted Gould

        * Making sure our new tests with gtk_init() in them have an X server
          to talk to. (ec5e7ea)
        * Building a menu so this item will show (6f79c17)
        * Moving the clean_id code to get set when we set the ID and checking
          for it when building the menu. (cc9f014)
        * Changing to ID based naming and setting a menu to get init
          (8418f3a)
        * Creating a clean ID that doesn't take any illegal dbus characters
          and using that in the path. (aafaa31)
        * Making the menu path also include the ID (907253f)
        * Making it so that you can't set an ID twice instead of just issuing
          a warning. (f5b69fe)
        * Moving the registration of the object to when we want to connect
          everything, and making the path include the item ID to
          ensure it's unique. (370c87f)
        * Switching menu property to be an object path. (07cba33)
        * Falling back on string if that's what we get.  Makes things
          compatible. (8be6fe7)

2010-02-08 Ken VanDine

        * releasing version 0.0.12-0ubuntu1 (c9d339f) (tag: 0.0.12-0ubuntu1)

2010-02-08 Ted Gould

        * releasing version 0.0.12-0ubuntu1~ppa1 (b881da9)
        * Merging in ubuntu-desktop (ef5c412)
        * Upstream release 0.0.12 (c5ba9dd)
        * 0.0.12 (fb4952b) (tag: 0.0.12)
        * releasing version 0.0.11-0ubuntu1~ppa3 (c21b71a)
        * Upstream Merge   * Handling the service restarting better by
          removing the icons     after a small delay to ensure they
          don't return.   * Fixing a crash where a proxy was created
          while the previous     one was being destroyed. (89972d2)
        * Handling the service resetting much better.  Clearing out the old,
          but after ensuring they won't come back. (e6056c5)
        * releasing version 0.0.11-0ubuntu1~ppa2 (08f04e0)
        * Cause the proxy to get built outside of the other proxy destroy
          callback. (a11cf7a)
        * Upstream Merge   * Fixing copying of the attention icon   *
          Adding status changing to the example application   *
          Adding a test for status changing getting sent over DBus.
          (585f9e3)
        * Sync to trunk (821e845)
        * Fixing status updates and adding tests to help debug status
          changing. (c273ac9)

2010-02-06 Ted Gould

        * Ready to recieve the boxed type on the other side. (28b0ba5)
        * Changing the type of the property and setting it with boxed
          (035f565)
        * Boolean again! (b3be172)
        * Adding check to look for privates gotten on invalid objects.
          (ffbe6e8)
        * Handling if we get duplicate entries added, just recycling.
          (aca3270)
        * Now we're actively killing. (85b920f)
        * Setting up the disconnected helpers and structure. (2440214)
        * Changing the proxy to only build if we need it, and not destroy
          itself on killing the process.  There's really no reason
          for that. (130e93c)
        * Making room for a disconnected function. (87a7acd)
        * Putting the proxy construction in an idle function. (5f4f1eb)
        * Reffing the connection so we ensure that we have it even when folks
          die. (53bb574)
        * releasing version 0.0.11-0ubuntu1~ppa2~aicon1 (3f35b1d)
        * Upstream Merge   * Fixing grabbing of attention icon (f6ea519)
        * Getting the wrong string for the Attention Icon when looking at the
          properties (987c4b5)
        * More logging from our app indicator on icon changes (c2e186c)
        * Adding a menu item to toggle the attention state. (5b94301)
        * Making sure the client has time to setup. (982498c)
        * Changing to 100 instead of 1000 (b9152c3)
        * Lengthening the time a little bit to make sure we don't miss
          messages. (74c6657)
        * Now setting status ALOT (d004765)
        * Loose the timeout (39bf2cc)
        * Adjusting the status test to watch for toggles (119bd7a)

2010-02-05 Ted Gould

        * Typo (d27570e)
        * Adding a test for changing the status.  Just a copy of the standard
          dbus test. (1a8b83c)

2010-02-04 Sebastien Bacher

        * releasing version 0.0.11-0ubuntu1 (b8830e1) (tag: 0.0.11-0ubuntu1)

2010-02-04 Ted Gould

        * releasing version 0.0.11-0ubuntu1~ppa1 (5bd2875)
        * debian/control: Increasing dbusmenu* deps to 0.2.2 (1e12054)
        * Upstream release 0.0.11   * Interoperability Fixes   * Adding in
          XVFB support for tests   * Adding support for icons with
          the '-panel' suffix (33edaca)
        * 0.0.11 (f8ab455) (tag: 0.0.11)
        * Interop fixes. (8808bcb)
        * Migrating to the new dbusmenu (4f81ab9)
        * Merging in signal change. (b6cda58)
        * Changing the #defines (b3f174d)
        * Upping Dbusmenu required version (5f2baa8)
        * Wrong srcdir (901d87f)
        * Wrong filename (a313884)
        * Adding in XVFB support (a8b197a)
        * Getting run-xvfb on the tests (8398c58)

2010-02-03 Aurelien Gateau

        * Merged timestamp fix (4fc1824)

2010-02-02 Aurelien Gateau

        * icon -> icon-name sensitive -> enabled toggle-checked ->
          toggle-state toggle-state type is now an int (770470f)

2010-02-02 Ted Gould

        * Changing the prototype of the activate signal (4b0a319)

2010-02-01 Conor Curran

        * Checking for the nunit dependency with a specific version.
          (3a8354f)
        * changed dependency nunit2.4 to nunit since this is the name of the
          package (aa89c97)

2010-02-01 Ted Gould

        * Fixing the name of the enum strings to match the StatusNotifier
          spec. (d6090e4)
        * Adding code to look for special panel versions of the icon with a
          '-panel' with the AppIndicators. (ae7bfd4)
        * Changing the suffix to 'panel' (8a8c965)

2010-01-27 Ted Gould

        * Changing the category in the fallback test as well. (c73f5af)
        * Changing strings in the test suite as well. (d415cb6)
        * Changing the strings in the #defines here, but really we should be
          using the enum. (53821e9)
        * Making it so there is another level of translation so that we can
          use different strings in the enum. (1b40a68)

2010-01-24 Ted Gould

        * Truth.  Bad, Bad, truth. (e68b4e3)
        * When setting or changing an icon first check to see if there is a
          panel specific icon that we should be using. (79cd82f)

2010-01-21 Ken VanDine

        * releasing version 0.0.10-0ubuntu2 (10c9c76) (tag: 0.0.10-0ubuntu2)
        * releasing version 0.0.10-0ubuntu1 (6ac376a) (tag: 0.0.10-0ubuntu1)

2010-01-21 Ted Gould

        * releasing version 0.0.10-0ubuntu1~ppa1 (f25e2f0)
        * debian/control: Adjusted back changes in 0.0.9-0ubuntu3 as this
          branch is still on Karmic.  Changes are in Lucid.
          (f5582e9)
        * Upstream release 0.0.10;  debian/control: Adding dependency for
          json-glib to build. (e38c251)
        * Updating to ubuntu-desktop branch (9c8e204)
        * releasing version 0.0.9-0ubuntu1~ppa4 (8140c6f)
        * Upstream merge   * Adding in a file to position the indicator.
          debian/control: Adding dependency for json-glib to build.
          (1650aa3)
        * Sync to trunk (1f9ee73)
        * 0.0.10 (bb106d1) (tag: 0.0.10)
        * Require libindicator 0.3.1 (2377df3)
        * Adding support for a file tracking add and touch times for
          applications for ordering them. (f2b8365)
        * releasing version 0.0.9-0ubuntu1~ppa4~order2 (678e097)
        * debian/control: Adding dependency for json-glib to build. (770afff)
        * releasing version 0.0.9-0ubuntu1~ppa4~order1 (d4f211a)
        * Upstream merge   * Adding in a file to position the indicators
          (2c3e17d)

2010-01-20 Ted Gould

        * Implements the get_location function to place the entires.
          (a9bf196)
        * Looking at the last touch date of entries as we're loading the file
          and removing ones that are very old. (da6242b)
        * License headers. (0ccf950)
        * Moving directory and filename into defines (26a0d6f)
        * Moving the JSON file values into #defines (33644ed)
        * Fleshing out loading of the LRU file and realizing we need a
          json-glib dep and the 'category' field in the output.
          (5317706)
        * Updating to trunk (surprisingly without conflict) (de65968)
        * releasing version 0.0.9-0ubuntu1~ppa3 (2062afe)
        * Upstream update   * Ref counting theme directories as they get
          added and removed   * Use the right callback function for
          fallback (LP: #507975) (78417dc)
        * Add tracking and refcounting of theme directories.  Unregister them
          when we're done. (38e8ceb)
        * Use the right function in the fallback. (93d5972)
        * releasing version 0.0.9-0ubuntu1~ppa2 (0ba7549)
        * Upstream update   * Support getting the app list from a running
          service. (f279a2d)
        * Sync to trunk (3d7c9e2)
        * Merge to get the current list of applications on startup. (b22c464)
        * Switch to building a string and writing it out instead of async
          writes as the order doesn't seem to be predictable.
          (7243272)
        * Build the directory and some debugging info (39c33f7)
        * Fleshing out the cleaning and dirtying functions.  Now we should
          write out a file. (de476ff)
        * Making a sort function that looks at two Apps and determines their
          ordering. (77f24c0)
        * Fleshing out touching. (064fd75)
        * Allocating memory and objects in the lur world (c663b23)
        * Ref'ing the image and menu so that when we remove them we don't get
          warnings. (ba6eadc)

2010-01-19 Ted Gould

        * Switching to inserting in the application array using a sort
          function.  Looking that up in the LRU file DB. (a634890)
        * Adding in the 'id' and 'category' fields to the application
          structure. (570fc94)
        * Protecting our _new a little bit. (e8d4604)
        * Adding a _new function for the appstore and using it.  It now takes
          the lru file. (08fef8d)
        * Building the LRU file. (85394de)
        * Adding some API to our LRU file (2f82ed5)
        * Sync to trunk (8b32f5e)

2010-01-19 Sebastien Bacher

        * releasing version 0.0.9-0ubuntu3 (6b648fd) (tag: 0.0.9-0ubuntu3)
        * releasing version 0.0.9-0ubuntu2 (92c127a) (tag: 0.0.9-0ubuntu2)

2010-01-19 Ted Gould

        * Attaching bug (f8da1e7)
        * Changing to use the status wrapper for handling the status signal's
          different prototype. (3344b7d)

2010-01-19 Cody Russell

        * Handling duplication applications getting added. (0b8b85b)
        * Move the check for duplicates. (e9fafdf)

2010-01-19 Ted Gould

        * Adding an object to start tracking the lru of the app indicators
          (f8d65da)

2010-01-15 Ted Gould

        * Cleaning out dead code and turning a printout into an assert.
          (9c545b7)
        * releasing version 0.0.9-0ubuntu1~ppa2~applist2 (fd7d6e6)
        * Upstream update   * Simplify and correct the structure handling.
           * Pass the correct object path over the bus.  We want the
          menu. (e709d9b)
        * Using the menu path instead of the item path. (93f32fd)
        * Using a straight value array and making sure to pass the
          application (2579e9f)
        * releasing version 0.0.9-0ubuntu1~ppa2~applist1 (36e7fd1)
        * Upstream update   * Support getting the app list from a running
          service. (a75c3de)
        * Fleshing out the get_applications function so that we do something
          with the list we now get. (b447c26)
        * Setting the proper type for the GValue of an 'o' (8045abd)
        * Better init value and adding error to prototype. (00cad2e)

2010-01-14 Ted Gould

        * Returning truth. (eddc0d0)
        * Need icon path in the list as well. (321ae86)
        * Fleshing out returning the list of apps already there. (7a001c7)

2010-01-14 Cody Russell

        * Only add the Application if it doesn't already exist in the
          appstore. (abd499a)

2010-01-14 Ted Gould

        * Removing shutdown printf (831a83c)
        * Actually unref'ing the dir and fixing the truth there. (76ef80d)
        * Merging in the warnings branch. (c302241)
        * Debug message for directories. (5a93b5e)
        * We should have kept ref's to these. (fe7f3dc)
        * Fleshing out the ref and the unref functions for the theme
          directories. (3712733)
        * Adding in our hash table of refs. (9393ffc)

2010-01-14 Ken VanDine

        * Upstream Release 0.0.9   * Add fallback support for situations
          where the NotificationWatcher     isn't available.
          (8cc2e35)

2010-01-14 Ted Gould

        * Forgot to merge in the 'fallback' packing branch.  All in sync now.
          (bd7118f)
        * Sync to trunk (4d4273f)
        * releasing version 0.0.9-0ubuntu1~ppa1 (8240163)
        * Upstream Release 0.0.9   * Add fallback support for situations
          where the NotificationWatcher     isn't available.
          (6e43740)
        * 0.0.9 (f0104e1) (tag: 0.0.9)
        * Update to desktop. (e43ee66)
        * Fallback support to XEmbed based notify item. (39b0dc9)
        * Returning the icon we've created. (09442ab)
        * Making a more descriptive error on 'unfallback' not existing.
          (2bfabeb)
        * Using better naming for 'do_it_now' parameter. (544ac3a)

2010-01-14 Ken VanDine

        * [merge] Upstream release 0.0.8 (1a2eabc)

2010-01-13 Ted Gould

        * Realized that we didn't really use the 'notify' signal... now using
          the better ones anyway. (c303c0c)
        * Making it so that the icon will update in the fallback case with
          changes to the properties of the AppIndicator. (c26cab9)
        * Showing the toggle_item as well as the others. (67493d4)
        * Popping up menu on activate. (6068e6c)
        * Showing items in sample (10521bb)
        * Adding in a get_menu function. (9489aa2)
        * releasing version 0.0.8-0ubuntu1~ppa2~fallback5 (b83df5e)
        * Upstream update   * Looking at StatusIcon fallback (15176e3)
        * Connecting to the activate signal (bf390ec)
        * releasing version 0.0.8-0ubuntu1~ppa2~fallback4 (556b0bc)
        * Upstream update   * Removing the 'destroy' signal handler
          (1583b1b)
        * Remove the 'destroy' signal handler before destroying the watcher
          proxy. (ef95891)
        * releasing version 0.0.8-0ubuntu1~ppa2~fallback3 (8baa1ed)
        * Upstream update   * More checking. (c1d9e7d)
        * Checking more for whether we have an APP_INDICATOR object (e67b856)
        * Explicitly checking for the APP_INDICATOR.  Confused. (303db3c)
        * releasing version 0.0.8-0ubuntu1~ppa2~fallback2 (df2c07b)
        * Upstream update   * Checking fallback function params (b7f9aaf)
        * releasing version 0.0.8-0ubuntu1~ppa2~fallback1 (519e03c)
        * Checking for the status of the variable getting passed in.
          (6023693)
        * Upstream update   * Fallback support (21c5cc4)
        * Fleshing out the fallback function, so it should create an icon.
          (b1b9134)
        * Really we should have gotten the final cleanup unfallback, which we
          weren't testing for either. (5d07598)
        * Getting the class the proper way (88c99ac)
        * Clear the fallback timer pointer after using it. (89aa4a7)
        * Adding a function to watch if the watcher proxy gets destroyed.
          (c959db1)
        * Removing a warning. (06a6bb7)
        * Making sure to return a value so that unfallback gets called.
          (5898ca0)
        * Calling the unfallback function if we're doing this for the second
          time. (5739297)
        * Ignoring the generated fallback test itself (3ac18fb)

2010-01-12 Ted Gould

        * Setting up a dbus proxy and starting to look at owner change events
          on it when we don't have a NotificationWatcher to look at.
          (7e0feb2)
        * Adding a menu so that the app indicator will init (f55bf25)
        * Wrong class function (bded6da)
        * Adding the fallback test to the suite (7783a49)
        * Adding state transitions that'll get us to a passed state.
          (9a21024)
        * Adding a kill function and letting the test fail over it. (a216db2)
        * Printing status in watcher (d0abe1e)
        * Adding in the item side of things. (cc31c23)
        * Woah, this is pretty sweet.  I hope it works. (348bcfb)
        * Getting the start of the fallback tests in place. (4a1b722)
        * Setup the fallback timer and flesh out it's actions. (36d47b5)
        * Fallback timer pointer lifecycle. (9518459)
        * Some comments (7e5e095)
        * Start timer fallback (40d3056)
        * Updating to trunk (b2198be)

2010-01-12 Ken VanDine

        * merged 0.0.8 (2ceb846)
        * Upstream Release 0.0.8 (0eea33a)

2010-01-12 Ted Gould

        * releasing version 0.0.8-0ubuntu1~ppa1 (5ca2ed3)
        * Upstream release 0.0.8   * Mirror icon changes over dbus
          (44efa30)
        * 0.0.8 (abd41dd) (tag: 0.0.8)

2010-01-12 Cody Russell

        * Mirror the icon changes over dbus (6fe9571)

2010-01-12 Ken VanDine

        * autoreconf (7e77e90)
        * debian/patches/mono_bindings_fix.patch   - Mono bindings fixes
          (LP: #505923) (6d6c8e4)

2010-01-12 Cody Russell

        * Remove debugging code (6ae0ede)

2010-01-12 Ted Gould

        * releasing version 0.0.7-0ubuntu1~ppa5 (06145a0)
        * Upstream update   * Distcheck fixes to tests and cleanfiles
          (c20fb45)
        * Adding the middle API file to the cleanfiles for distcheck
          (0fda6a0)
        * Fixing the path for the tests. (bd7a48f)

2010-01-11 Ted Gould

        * releasing version 0.0.7-0ubuntu1~ppa4 (f905b80)
        * Upstream update   * Better default object names. (356a1ce)
        * Updating path names to have more reasonable defaults. (d104014)
        * releasing version 0.0.7-0ubuntu1~ppa3 (807982e)
        * Upstream update   * Fixes for the mono binding properties
          (481ad31)
        * releasing version 0.0.7-0ubuntu1~ppa2 (983ceaf)
        * Upstream Merge   * Sensitivity to label changes (ed18ce8)
        * Sync to trunk (2e6c62f)
        * Fixes for the mono bindings to make the properties work with enums
          and the #define'd string names. (e04e32f)
        * releasing version 0.0.7-0ubuntu1~ppa2~mono1 (4d42c62)
        * Fixing makefiles (8bb5b38)
        * Adding back in the MIDDLE_API and sed magic (d6ae58e)
        * Upstream update   * Fixes for the mono binding properties
          (1e13ebd)
        * Removing the middle API stuff and cleaning up Makefile (f466763)
        * Cody's customs (d09369b)

2010-01-11 Cody Russell

        * Mono binding fixes. (af45b19)

2010-01-11 Ted Gould

        * Adding in customs support (9c04a32)
        * Use sed to get rid of the #defines (bebf565)
        * Switching the metadata to not use #defines (9035e52)
        * Initing and destroying the status_icon variable (f8d6a7d)
        * Having better default paths that look a little more professional.
          (73afc35)
        * Setting the fallback functions so that we can go round trip on
          setting up this API. (d8c7246)

2010-01-11 Cody Russell

        * trunk merge (b7ec550)
        * Label fu (724261a)

2010-01-11 Ted Gould

        * Adding in the class functions for handling the fallback. (2a91387)

2010-01-11 Cody Russell

        * Watching several properties and updating them as they change.
          (e979943)

2010-01-08 Ken VanDine

        * debian/control   - bump build depends version of libdbusmenu to
          0.2.0 (820eb75)
        * Upstream Release 0.0.7   * Making the Notification Watcher
          register for it's own DBus     name to keep the service
          one unique.   * Adding support for icons changing through
          the service and     in the indicator.   * Fixing the
          generated headers for DBus Properties calls   * Fixing
          libappindicator set_icon to set the right icon.   * Adding
          in icon path support.   * Switching DBus interface to
          org.freedesktop   * Adding check/radio support to menu
          parsing   * Adding ChangeLog to dist   * Adding check item
          support to menu parsing (64df46b)

2010-01-08 Cody Russell

        * Remove debugging code. (b56f250)
        * Watch for changes to label and sensitivity. (ecb11f0)

2010-01-08 Ted Gould

        * releasing version 0.0.7-0ubuntu1~ppa1 (c1010b6)
        * Upstream Release 0.0.7 (54708c2)
        * 0.0.7 (5787ec0) (tag: 0.0.7)
        * Merging with the desktop branch (a7e0e79)
        * releasing version 0.0.6-0ubuntu1~ppa6 (21f677f)
        * Upstream merge:   * Making the Notification Watcher register for
          it's own DBus     name to keep the service one unique.
          (a3bf98e)
        * Making the Notification Watcher get it's own interface name.
          (e5fbe72)
        * releasing version 0.0.6-0ubuntu1~ppa5 (7f93d0d)
        * Upstream merge:   * Adding support for icons changing through the
          service and     in the indicator.   * Fixing the generated
          headers for DBus Properties calls   * Fixing
          libappindicator set_icon to set the right icon. (7a78594)
        * Sync to trunk (c4b431a)
        * Supporting icons changing and status changing. (98237f0)
        * Reactivate kill switch (bb71fc2)
        * Making applications register to the watcher address so they work on
          KDE (8d0d0e4)
        * Make the watcher register it's own name (34bb6cb)
        * Making the service have a name different than the watcher
          interface. (087c7f0)
        * Icons branch (d8cb0ba)
        * releasing version 0.0.6-0ubuntu1~ppa4~icon2 (8e8fc16)
        * Fixing everything by putting the slots on correctly. (6c2b2fd)
        * Putting the signal on the Class instead of the Instance. (5f797d7)
        * Debug message cleanup. (f8e9a51)
        * Fixing shutdown signal, but disabling for now (7970210)
        * When destroying the application free all the proxies. (12aab96)
        * Fleshing out some of the remove function.  For some reason the
          appstore is getting disposed, but that's the next thing to
          look at. (ad42e10)
        * releasing version 0.0.6-0ubuntu1~ppa4~icon1 (ae5ff4b)
        * Syncing with all the other branches.;  Upstream update   * Adding
          in icon path support.;  Upstream update   * Switching DBus
          interface to org.freedesktop   * Adding check/radio
          support to menu parsing;  Upstream update   * Adding
          ChangeLog to dist   * Adding check item support to menu
          parsing (4e91ad3)
        * Updating to trunk (96e4332)
        * Syncing to final icon-path changes (5d97173)
        * releasing version 0.0.6-0ubuntu1~ppa4 (aaa7438)
        * Upstream update   * Adding in icon path support. (e824c0b)
        * Sync to trunk (a12df72)
        * Final icon-path merge. (2b000f7)
        * Sync to karmic packaging branch (458b67c)
        * releasing version 0.0.6-0ubuntu1~ppa3 (ab7949f)
        * Upstream update   * Switching DBus interface to org.freedesktop
          * Adding check/radio support to menu parsing (d5b5933)
        * Adding in the ability for applications to specify a directory path
          to get added to the icon theme search path. (a575382)

2010-01-08 Aurélien Gâteau

        * Changing to freedesktop.org namespace and fixing some of the
          function names and interfaces that weren't matching the
          FD.o spec. (1c834b9)

2010-01-08 Aurelien Gateau

        * Merged lp:~ted/indicator-application/fdo (5f86c72)

2010-01-08 Ted Gould

        * Adjusting so that we use the parameter if it's not an object but a
          path. (0c8cf85)
        * Using the #defines for the property names instead of strings.
          Define them once. (8226d6c)
        * Changing the property to 'IconThemePath' to make it more clear
          about what it adjusts. (83b4f68)

2010-01-08 Sebastien Bacher

        * Typo in documentation using wrong values for the enum. (d7719b9)
        * Use correct status syntax in the api description (lp: #504700)
          (69f4b95)

2010-01-07 Ted Gould

        * releasing version 0.0.6-0ubuntu1~ppa2~icon4 (8fdbf38)
        * Upstream merge:   * Fixing the generated headers for DBus
          Properties calls   * Fixing libappindicator set_icon to
          set the right icon. (a375e41)
        * Pretty major cut and paste error.  Wrong icon. (cb14ba3)
        * Changing dbus-properties header to be static and not built from the
          XML as it needs a fix. (d1fbe4a)
        * releasing version 0.0.6-0ubuntu1~ppa2~icon3 (8ddab95)
        * Upstream merge:   * Adding support for icons changing through the
          service and     in the indicator. (2fef3d4)
        * Merging in the icon_path branch to start to handle conflicts from
          there. (b1ffef3)
        * A small refactoring of the code to get the position of an
          application. (2cc15ba)
        * Fleshing out the signal functions for updates.  Some do more
          callbacks. (4abe47b)
        * Moving the list of applications management into the state change
          function.  This makes it so that we can handle it
          appearing and disappearing all in one special place.
          (45e742e)
        * Adding in a status variable (16fb78b)
        * Responding to the icon changed signal in the indicator. (655f6d1)
        * releasing version 0.0.6-0ubuntu1~ppa2 (7f27006)
        * Adding an icon_changed signal to the application store (2c767da)
        * Cleaning up signal handlers. (f7e660f)
        * Upstream update   * Adding ChangeLog to dist   * Adding check
          item support to menu parsing (99b4888)

2010-01-07 Cody Russell

        * Support for check items in the libappindicator menu parser.
          (e76d63c)

2010-01-07 Ted Gould

        * Setting up and connecting to the item signals (6d922ea)

2010-01-07 Cody Russell

        * Toggle events (a60f25e)

2010-01-07 Ted Gould

        * Allowing for the default path if one is not given. (199f3d2)

2010-01-07 Aurelien Gateau

        * Revert part of previous revision: pass the path, not the service
          name to register_status_item (17476bd)

2010-01-07 Cody Russell

        * More checkbox related updates. (6bde6a4)
        * Checkmark support (bf0be37)

2010-01-07 Aurelien Gateau

        * Use org.freedesktop namespace (0aaa6a2)

2010-01-07 Ted Gould

        * releasing version 0.0.6-0ubuntu1~ppa2~icon2ubuntu1 (13de14e)
        * Debug message (6575026)
        * Adding a path based debug message (ad8ca0d)
        * releasing version 0.0.6-0ubuntu1~ppa2~icon2 (6223c53)
        * Fixing the signals. (11984c8)
        * Forgot to adjust the parameter count. (e16d383)

2010-01-06 Ted Gould

        * Handle the case of no icon path more gracefully, by just passing
          along the null string. (eec2466)
        * Ignoring some of the generated files (150a0d7)

2009-12-23 Aurelien Gateau

        * Previous commit was not meant to be pushed to trunk Revert my mess
          (dd2ed95)
        * Make it work on KDE (95b5ea9)

2009-12-20 Ted Gould

        * releasing version 0.0.6-0ubuntu1~ppa2~icon1 (06b735f)
        * Adding in icon path support. (28d5fae)
        * Appending the new icon path to the theme search. (cd57997)
        * Adding the icon path to the app entry struct (3915de9)
        * Adding in the icon path to the list of parameters that are passed
          when we have a new application. (9185eee)
        * Adding new constructor to docs. (a9c6b6e)
        * Forgot to get these from the private struct. (b3542e0)
        * Making the icon-path property construct only and making a
          constructor to set it. (c44c00b)
        * Adding the icon_path property to the code. (2f82dde)
        * Adding of a new property, icon path, to store the path to the
          icons. (8d4ca51)

2009-12-17 Ted Gould

        * Adding ChangeLog to tarball (312dadc)

2009-12-17 Ken VanDine

        * include ChangeLog in EXTRA_DIST (929d2e8)
        * Upstream release 0.0.6   * Include Python binding   * Include
          Mono binding   * Minor bug fixes   * Fixing when menus are
          set twice.  (LP: #497812)   * Keeping a constant signature
          for the library instead of     building it each time.
          debian/control, debian/python-appindicator.install:
          Building   a binary package for the python bindings.
          debian/control: Adding python building build dep.
          debian/control, debian/libappindicator0-cil.install:
          Building   a binary package for the Mono bindings.
          debian/control: Adding Mono building build deps (60e78aa)
        * version bump (951c79d)

2009-12-17 Ted Gould

        * releasing version 0.0.6-0ubuntu1~ppa1 (75de7c2)
        * Upstream release 0.0.6   * Keeping a constant signature for the
          library instead of     building it each time. (71a9247)
        * 0.0.6 (7eb8f46) (tag: 0.0.6)
        * Using a constant snk file instead of generating it each time.
          (f789e13)

2009-12-17 Ken VanDine

        * merged (cca4d63)
        * merged (4e8176e)
        * use srcdir for the path to appindicator-sharp.snk (52c77eb)
        * Don't create the signature during build (af81423)

2009-12-17 Ted Gould

        * releasing version 0.0.5-0ubuntu1~ppa1 (e173606)
        * Upstream release 0.0.5   * Include Python binding   * Include
          Mono binding   * Minor bug fixes;  debian/control,
          debian/python-appindicator.install: Building   a binary
          package for the python bindings.;  debian/control: Adding
          python building build deps;  debian/control,
          debian/libappindicator0-cil.install: Building   a binary
          package for the Mono bindings.;  debian/control: Adding
          Mono building build deps (2c6df6b)
        * 0.0.5 (6d8c312) (tag: 0.0.5)

2009-12-17 Ken VanDine

        * Linking Mono bindings to versioned library and fixing the example
          with licensing info and a menu. (6a7f7db)
        * Added license/copyright to the example and un-commented out the
          code that adds the menu. (84d7e5e)
        * added libnunit2.4-cil build-depends (c64d79b)
        * link against the versioned library (d1fbd5d)

2009-12-17 Ted Gould

        * releasing version 0.0.4-0ubuntu3~ppa4 (3280544)
        * Upstream updates:   * Fixing when menus are set twice.  (LP:
          #497812) (bdff04c)
        * Fix issue with setting a menu twice by only allocating one dbusmenu
          server. (d11b8c9)

2009-12-17 Cody Russell

        * Only create the dbusmenu server if it doesn't exist (09c4ec2)

2009-12-17 Ted Gould

        * Initing 'menuservice' to NULL (6af83d4)
        * Only build a dbusmenu server if we don't have one. (f4c9af7)

2009-12-17 Ken VanDine

        * Moved Build-Depend-indep to Build-Depends (f87e935)

2009-12-17 Ted Gould

        * releasing version 0.0.4-0ubuntu3~ppa3 (e2f1257)
        * debian/control: Fixing the libdbusmenu-glib version dep. (24abbb1)
        * debian/control: Removing architecture independent build
          dependencies are no architecture dependent. (5918076)
        * releasing version 0.0.4-0ubuntu3~ppa2 (3995123)
        * Upstream updates:   * Mono build fixes.   * Mono metadata file
          cleanups. (1443165)
        * Mono build cleanups (4d95601)
        * debian/control: Adding a build-dep on nunit (d293bbf)
        * Updates to Mono bindings to make them more Mono-onic. (7219db0)

2009-12-17 Ken VanDine

        * merged from trunk (33beea5)

2009-12-17 Ted Gould

        * releasing version 0.0.4-0ubuntu3~ppa1 (c4f20d6)

2009-12-17 Ken VanDine

        * Upstream release   - debian/libappindicator0-cil.install   -
          debian/libappindicator0-cil-dev.install   - debian/control
          (7ebdc97)

2009-12-17 Ted Gould

        * Integrating a ton of work. (511ef69)
        * Added mono bindings;  debian/rules   - don't use gnome.mk,
          specify all the targets to build python     bindings for
          each supported python version;  Adding in Python bindings.
          * debian/control, debian/python-appindicator.install:
          Building   a binary package for the python bindings.
          debian/control: Adding python building build dep.
          debian/control   - make libappindicator0 recommend
          indicator-application;  debian/rules:   - removed the
          disable-scrollkeeper configure arg   - don't include .la
          and .a files;  debian/patches/clean_up_docs.patch   -
          removed, merged upstream;  debian/control:   - removed
          Build-Depend for scrollkeeper   - libappindicator-dev
          needs to depend on libdbusmenu-glib-dev   - bump standards
          version to 3.8.3   - libappindicator-doc doesn't need to
          depend on libappindicator0   - set libappindicator-doc
          arch all   - make libappindicator-dev depend on
          libappindicator0;  debian/copyright   - Include the proper
          licenses (LGPL-2.1 and LGPL-3) (5aed77c)

2009-12-17 Ken VanDine

        * Install the assembly in the gac (6af5c99)

2009-12-17 Ted Gould

        * Upstream work   * Python bindings   * Mono binding clean up
          (20a7ac2)
        * Mono and Pythong bindings living together. (97f6e62)

2009-12-16 Ken VanDine

        * set version back to 0.0.4 (394f015)
        * merged from trunk (cef679b)
        * Added mono bindings (2ba572c)
        * Use a versioned assemblydir (8a26b8c)
        * use more macros (ceef246)
        * Reference the correct dll (7996187)
        * fixed path to python bindings (23b19e9)
        * debian/rules   - don't use gnome.mk, specify all the targets to
          build python     bindings for each supported python
          version;  Adding in Python bindings.;  debian/control,
          debian/python-appindicator.install: Building   a binary
          package for the python bindings.;  debian/control: Adding
          python building build deps (2a5cad3)
        * merged in python bindings branch and some of my fixes needed for
          packaging (4d9d260)
        * exclude the path in subst replace in the dbus-binding-tool command
          (251da6d)

2009-12-16 Jason Smith

        * Make mono bindings less redundant and more mono friendly (7aee325)

2009-12-15 Ken VanDine

        * make libappindicator0 recommend indicator-application (53d5f10)
        * release (c4a5888)
        * debian/control   - make libappindicator0 depend on
          indicator-application (c593131)

2009-12-14 Sebastien Bacher

        * releasing version 0.0.4-0ubuntu1 (add48dd) (tag: 0.0.4-0ubuntu1)

2009-12-14 Ted Gould

        * releasing version 0.0.4-0ubuntu1~ppa2 (0d66efa)
        * debian/control: Adding in mono build depends. (1ae9e02)
        * Upstream work   * Mono bindings (0d59bd4)

2009-12-14 Ken VanDine

        * use path to find includes (c66e720)

2009-12-14 Ted Gould

        * Merging in mono bindings. (985c449)
        * Looking for the assembly files in the right location. (bb6fa61)
        * Adding the test files to dist and making sure we find them in the
          right directory. (04e218d)
        * Merging in Jason's fix of Cody's branch.  Yeah, seriously.
          (aebb91e)

2009-12-14 Jason Smith

        * Nicer fix (5e6e5ba)
        * Make build work right (3d0245f)

2009-12-12 Cody Russell

        * Try to add SetMenu() (40f3778)
        * Initial stab at setting up test/example fu (59526b6)

2009-12-11 Ted Gould

        * Fixing the build system to link everything all happy like.
          (a3a42b9)
        * Adding the Python build system into the indicator-application one.
          (a602f42)

2009-12-11 Neil J. Patel

        * Stealing a bunch of Neil's python binding code. (f7ba47b)

2009-12-11 Ken VanDine

        * fixed typo in the Vcs-Bzr line (1c008f5)
        * merged from trunk (7158acf)
        * set to UNRELEASED (e75075f)
        *   - bump standards version to 3.8.3   - libappindicator-doc doesn't
          need to depend on libappindicator0 (fd5003d)
        * libappindicator-dev needs to depend on libdbusmenu-glib-dev
          (2da3664)
        * fix the path used for deleting the .la and .a files (2f0f25f)

2009-12-11 Cody Russell

        * Fix distcheck (ed48108)

2009-12-11 Ken VanDine

        * don't include .la and .a files (54099ef)

2009-12-11 Ted Gould

        * Merging in Ken's Lucid changes. (a5dfa76)

2009-12-11 Cody Russell

        * Move appindicator-sharp.pc to appindicator-sharp-0.1.pc (7783eb6)
        * trunk merge, resolve conflicts (8de2753)

2009-12-11 Ted Gould

        * releasing version 0.0.4-0ubuntu1~ppa1 (52f97ba)
        * Upstream release 0.0.4   * Adding files to the tarball   *
          Putting version number in docs   * Removing cruft in docs
          (c5d3cf3)
        * 0.0.4 (d303893) (tag: 0.0.4)

2009-12-11 Cody Russell

        * Add missing Makefile.am (5fe114e)

2009-12-11 Ken VanDine

        * Adding extra files to the distribution tarball and making the
          documentation include the version number. (ab6e7dd)
        * removed the disable-scrollkeeper configure arg (f9d90d2)

2009-12-11 Cody Russell

        * Move to bindings/mono (88a109e)
        * Build for Mono bindings (6d3743e)

2009-12-11 Ken VanDine

        * include autogen.sh, COPYING.LGPL.2.1 and COPYING.LGPL.3 in
          EXTRA_DIST (8205193)
        * Merged changes from trunk (8063616)
        * Bump version to 0.0.4;  Include version in the generated docs
          (3e2f1b6)
        * fixed parse error in changelog (d032af1)
        * debian/control:   - removed Build-Depend for scrollkeeper
          (020d8bb)
        * Upstream release 0.0.4;  debian/rules:   - removed
          disable-scrollkeeper   - set DOC_SERVER used for doc.
          debian/patches/clean_up_docs.patch   - removed, merged
          upstream (7263623)

2009-12-10 Ted Gould

        * releasing version 0.0.3-0ubuntu2~ppa1 (c52a914)
        * debian/patches/clean_up_docs.patch: Remove as merged upstream.
          (e11024f)

2009-12-10 Ken VanDine

        * Documentation cleanups (d0ff3d2)

2009-12-10 Ted Gould

        * Merging in Ken's fixes. (9ef452b)

2009-12-10 Sebastien Bacher

        * releasing version 0.0.3-0ubuntu1 (c5ceaf1) (tag: 0.0.3-0ubuntu1)

2009-12-10 Ken VanDine

        * debian/copyright   - Include the proper licenses (LGPL-2.1 and
          LGPL-3) (4358884)
        *   - set libappindicator-doc arch all   - make libappindicator-dev
          depend on libappindicator0 (af73889)
        * set to UNRELEASED (767f3d4)
        * set release to lucid (bd32dd0)
        * set a title and remove releaseinfo, we haven't set it yet.
          (27f8252)
        * added simple-patchsys.mk (ff35c76)
        * debian/patches/clean_up_docs.patch   - Remove template values and
          set a proper title (a634b49)
        * fixed a typo in libappindicator-doc.install (7c04550)
        * debian/libappindicator-doc.install   - install the developer docs
          * debian/rules   - enable-gtk-doc (86e4f6e)
        * added bzr-builddeb/default.conf (87560be)
        * debian/control   - set Vcs-Bzr to ~ubuntu-desktop (fb2b3cf)

2009-12-10 Ted Gould

        * Merging in Ken's updates (e44eaf4)
        * releasing version 0.0.3-0ubuntu1~ppa1 (7dcc785)
        * debian/control: Increasing libdbusmenu requirements to 0.1.8
          (94cc8a7)
        * Upstream release 0.0.3   * More GtkMenu support in
          libappindicator (eab11a2)
        * 0.0.3 (6b3e25f) (tag: 0.0.3)

2009-12-10 Ken Vandine

        * Increasing libindicator requirement to 0.3.0 (dc31293)

2009-12-10 Ken VanDine

        * Bump required version for libindicator to 0.3.0 (ad85df3)
        * debian/control   - Updated Vcs-Bzr, project urls and description
          (2227fe0)
        * debian/watch:   - Updated url to point to the LP project
          (f87a074)

2009-12-09 Cody Russell

        * Adding support for separators. (9e7a9fb)
        * Add support for separator menuitems (6cb0e1a)

2009-12-09 Ted Gould

        * Switching back to the calling style with all the parameters.
          Otherwise the --enable-gtk-doc gets lost. (0e959b1)
        * Fixing up documentation and making it error if symbols are missing.
          (5ed9363)
        * Adding a directory name on the distribution of the .pc.in file
          (ecd7cd9)
        * releasing version 0.0.2-0ubuntu1~ppa2 (59f09d6)
        * debian/control: Adding a build dep on gtk-doc-tools (afd0904)
        * debian/libappindicator-dev.install: Adding pkgconfig files.
          (b478a86)
        * Getting the install files with the right names. (4e25a45)
        * Upstream update   * Adding in documentation   * Adding a
          pkg-config .pc file for libappindicator (b67737d)

2009-12-09 Cody Russell

        * Add pkgconfig support, fixes bug #494583 (bae74ef)
        * pkgconfig Libs and Requires fixes (02ab21b)
        * merge from trunk (875e290)

2009-12-09 Ted Gould

        * Fix to autogen.sh to support configure options. (cd2a4a9)

2009-12-09 Cody Russell

        * fix autogen.sh (6519597)
        * pkgconfig file (3f16792)

2009-12-08 Ted Gould

        * Improved menu item parsing from Cody. (e0bf73e)

2009-12-08 Cody Russell

        * Beefed up and stuff. (284188b)

2009-12-08 Ted Gould

        * Putting gtk-doc-check into a wrapper to it runs in srcdir (e4cdb13)
        * Adding in some section documentation. (a29bb3d)
        * Documenting the AppIndicatorClass as well. (b8e1a71)
        * Fixing function documentation. (79d9410)
        * Adding documentation for the signal string defines. (c80692f)
        * Adding in documentation for the Object/Class macros (46799c6)
        * Adding a check rule for documentation. (b63e880)
        * Adding support for building gtk-doc documentation. (4a19cb4)
        * Making it so that we have a local gtk-doc.make file that will pass
          a dist without the lib being built. (cf4dd4a)
        * Ken's gtk-doc integration branch (fbb083f)

2009-12-08 Ken VanDine

        * Removed a commented variable (86b124f)
        * Clean up some cruft I left around (0c816c3)
        * Fixes for make distcheck and default configure args (199da20)
        * Added some missing gtk-doc related files (5ebc39a)
        * don't run gtkdocize with autogen.sh (43eac26)

2009-12-07 Jason Smith

        * Add script to automate building (someone should do this without
          autofoo) (dc33785)
        * Ensure names are nice and pretty (6335098)
        * Make build work (e945be8)
        * Add mono xml api file (a7dec87)

2009-12-07 Ted Gould

        * Adding in an activate signal. (bfb9e77)

2009-12-07 Cody Russell

        * Add 'activate' signal support (95ecb48)

2009-12-05 Ken VanDine

        * remove --enable-gtk-doc from autogen.sh (fb20a31)
        * generate gtk-doc (9306d83)

2009-12-04 Ted Gould

        * releasing version 0.0.2-0ubuntu1~ppa1 (ec3c1be)
        * Upstream release 0.0.2   * Updates API to use GTK instead of
          dbusmenu to make it     easier for upstream developers to
          use. (5498681)
        * Increasing to version 0.0.2 (2906ee4) (tag: 0.0.2)
        * Test suite fixes for the GTK Menu changes. (fe16a24)

2009-12-04 Cody Russell

        * Remove the menu test (c9670e6)
        * test fix (6f39584)
        * Test fixes (670019c)

2009-12-04 Ted Gould

        * Adding GTK Menu support to libappindicator and removing dbusmenu
          support. (17478a9)

2009-12-04 Cody Russell

        * credit :) (7406617)
        * Small cleanup (17d72ed)
        * Fix up some docs (5f4c6f8)

2009-12-03 Cody Russell

        * API changes, gtk menu support (580f2be)

2009-12-02 Ted Gould

        * releasing version 0.0.1-0ubuntu3~ppa4 (25d7d99)
        * Adding in copyright headers and licenses (fb3c300)
        * Adding legal headers on files and licenses. (92a3e89)
        * releasing version 0.0.1-0ubuntu3~ppa3 (5710b62)
        * Massive name change.;  debian/* changing packaging to not be
          "custom" anymore and now   everything is "application.
          debian/control: Splitting out libappindicator;  Adding
          debian/libappindicator0.install,
          debian/libappindicator-dev.install,
          debian/indicator-application.install (5317413)
        * Sync to trunk (5c4e31a)
        * Changing the name from indicator-custom to indicator-application
          (984759e)
        * releasing version 0.0.1-0ubuntu3~ppa2 (f897644)
        * Implementing the service and having the indicator and app library
          start using it. (29ef598)
        * Sync from trunk (69448c0)
        * Create a service and start using it.  Also updating to libindicator
          0.3.0. (47741f6)

2009-12-01 Ted Gould

        * releasing version 0.0.1-0ubuntu3~ppa1~newname1 (dc560c7)
        * debian/* changing packaging to not be "custom" anymore and now
          everything is "application";  debian/control: Splitting
          out libappindicator;  Adding
          debian/libappindicator0.install,
          debian/libappindicator-dev.install,
          debian/indicator-application.install (c0b7c89)
        * Massive name change. (1566a99)
        * Updating to service-me-please branch. (113fc34)
        * Updating to trunk packaging (1933cc6)
        * releasing version 0.0.1-0ubuntu3~ppa1 (71797b3)
        * Flesh out the library to have stuff working.;  Updating test
          suite to run under dbus-test-runner. (c860f69)

2009-11-30 Ted Gould

        * Copyright notice for marshallers definition. (1895dec)
        * Header for a DBus interface description, not sure if that's right
          or not. (dfb7524)
        * Adding in GPLv3 headers. (9028f21)
        * Adding in LGPL v3/2 headers (d8e73df)
        * Adding GPLv3 headers. (8027b94)
        * GPL header (91013e4)
        * Adding in copying license files. (45f5d8c)
        * Getting the right named files. (44be8d2)
        * Changing the insides to remove the custom stuff. (f0881be)
        * De-customizing the directory stuff. (35d5c71)
        * Migrating to the new 'app' world. (7cc02cf)
        * Shortening the object names as well.  People hate typing. (a7c7079)
        * Massive custom to application find and replace throughout the code.
          (672b725)
        * Ignoring happily again. (fdd8e21)
        * Shortening the file names as well. (997bdb5)
        * Making the directory name shorter (8eff74d)
        * Changing file names, and some fallouts from that. (5b2dcab)
        * Total insane rename.  Probably broke more than a few things.
          (fc1e08a)
        * Another name change. (e0cb52e)

2009-11-24 Ted Gould

        * Changing all the dbus names. (ad2afb8)
        * Name changed (f4d0952)
        * Name changes (8fa7b92)
        * A bunch of code. (f0fcaa6)
        * releasing version 0.0.1-0ubuntu3~ppa1~service8 (2edb47b)
        * Sync to trunk and fix distcheck by delaying connecting to the
          service by checking for data. (62a7252)
        * Moving the connection code into a function that is called to check
          to see if we have enough data.  This fixes distcheck after
          the merge from main. (8c7ce8f)
        * Merging in changes on trunk.  Resolving a conflict. (acbab33)
        * releasing version 0.0.1-0ubuntu3~ppa1~service7 (7c86b00)
        * Woot, basic remove support.  Causes warnings, but it works.
          (4b23fc3)
        * Showing the icon.  Now we can put things up in the menu!  Finally.
          (ce09817)
        * Ignoring the marshallers (254386f)
        * Building a little more of a menu item for testing. (314754f)
        * Fixing Marshallers so that everything is happy-happy. (c8faaf3)

2009-11-23 Ted Gould

        * releasing version 0.0.1-0ubuntu3~ppa1~service6 (bfd3806)
        * I really shouldn't have to register marshalers.  Srsly. (6caead9)
        * Moving the registration of the marshallers until after the proxy.
          Odd that I'd have to do this, but let's try. (f0b58f5)
        * releasing version 0.0.1-0ubuntu3~ppa1~service5 (cecee4c)
        * Forgot return types. (28f794c)
        * Forgot return types. (756b6c9)
        * releasing version 0.0.1-0ubuntu3~ppa1~service4 (c27868e)
        * Registering marshallers for DBus in the indicator. (25d690a)
        * Adding a debug message on getting an application. (009e468)
        * Making a simple client (62f0373)
        * releasing version 0.0.1-0ubuntu3~ppa1~service3 (b6b57bd)
        * Adding more fun.  Now we're cookin'! (59b0398)
        * Connecting to a notification watcher. (2c04418)
        * Adding in a TODO (9a48354)
        * Commenting. (5a87d20)
        * Fixing custom indicator watcher object path. (efd63e3)
        * Cleaning up main a little bit and handling the 'disconnected' case
          that doesn't yet quite exist. (f22ff6a)
        * Adding a remove function and switching to the position in the list
          being the position. (f7cfd25)

2009-11-09 Ted Gould

        * Adding in the dbus shared header. (3d71f7f)
        * A simple little app. (5c797c3)
        * Adding a defualt file for a little appliction that'll grow into a
          full app. (23d6b5d)

2009-11-08 Ted Gould

        * releasing version 0.0.1-0ubuntu3~ppa1~service2 (9738887)
        * Building the service and getting things in better shape. (3d0184b)

2009-11-06 Ted Gould

        * Grabbing the properties and going to town.  Turning back into
          another signal. (d0abdda)
        * Adding some XML for dbus properties interface. (ffd9962)
        * Building the property proxy. (4bcfbf4)
        * Forgot to save. (1cee2f3)
        * Building a proxy. (8b92c1c)
        * Adding an application list. (e25d64f)
        * Getting the registration signal, and passing it up the stack.
          (bca77a7)
        * Adding app add/remove to appstore (78a6d0d)
        * Woot!  Now we have signals in our watcher.  Let's rock on!
          (591311a)
        * Connecting the watcher and the appstore.  And actually building
          one.  We're on DBus now. (ced0ec2)
        * Moving the watcher stuff to the new object. (fa2ac00)
        * Creating a new object to be our watcher.  Apparently we can't have
          two DBus interfaces on the same object :( (ab660ab)
        * Adding in teh source directory for distcheck (c894aa5)
        * Adding in a set of marshallers to make our signals all happy.
          (53f654e)
        * Putting some signals on here. (3ea189e)
        * Changing some API and implementing the simple stuff. (4644370)
        * Fleshing out the application added stuff (faef47f)
        * Fleshing out get_entries (463ca24)
        * Making for a list of applications that we can build and destroy at
          will. (1dc8a8a)
        * Hooking up to the proxy.  Let's do this! (349af66)
        * Fleshing out connected to start bringing up the proxy. (10d1d2e)
        * Migrating over to the libindicator 0.3.0 API. (7532947)

2009-11-04 Ted Gould

        * Put the cleanup of gtester on the wrong variable. (f23c54f)
        * A small fix to make things run under dbus-test-runner so that we
          start a dbus test session. (2d5018b)

2009-11-03 Ted Gould

        * Put the gtester test under a dbus-test-runner to ensure that we
          have a session bus to test with. (8ef7ed5)
        * Fleshing out the library so that the interface is implemented.
          Also tests for the library. (be7d032)
        * Removing the checks on private being NULL when we're already
          testing the object. (cd7ec27)

2009-11-02 Ted Gould

        * releasing version 0.0.1-0ubuntu3~ppa1~service1 (3345ad5)
        * releasing version 0.0.1-0ubuntu2 (88be27c) (tag: 0.0.1-0ubuntu2)
        * debian/control: Splitting out libcustomindicator;  Adding
          debian/libcustomindicator0.install,
          debian/libcustomindicator-dev.install,
          debian/indicator-custom.install   to make all the
          different packages. (9d043e6)
        * Merging project name change. (81d7988)
        * Changing the package name (a260225)
        * releasing version 0.0.1-0ubuntu2~ppa1~service1 (733c841)
        * Grabbing from the service development branch (8d4cdc7)
        * We've got a service manager.  Now we'll start ourselves up!
          (d496d7a)
        * Getting the name into a header. (9aff9ba)
        * Boom, make us an indicator service. (3d1c4c4)

2009-11-02 Robert Collins

        * Draft packaging. (df182c1)

2009-10-28 Ted Gould

        * Building our app store (f2c4a15)
        * Registering ourselves on dbus (714f372)
        * Boom!  Now we're implementing dbus. (8903841)
        * Adding an appstore object to hold all of our apps. (ecf44bf)
        * Adding the custom-service interface. (ec8cd68)
        * Pulling in the unreviewed lib-flesh branch (b6d06ca)

2009-10-22 Ted Gould

        * 'Merging' in trunk.  No changes.  Better history. (9c868b9)
        * Adding in testing the location of the dbusmenuserver (1b71a85)
        * Looking for the wrong property, we can only set the object.
          (d6cc939)
        * We can't get the enum values from the string param spec, we need to
          find the enum one and then use that. (20caa2f)
        * Property name changes.  Boo. (6030445)
        * Changes due to the properties changes. (6a255c6)
        * Gimme a break (0256208)
        * Adding a set of read-only properties that deal with the strings for
          dbus, and let the other properties do the real work.
          (00f4a53)
        * Branch building up the interface for the library. (20d116a)
        * Checking the category and state (b04e0de)
        * All strings work. (af10235)
        * Fleshing out the property counting. (e99a6fe)
        * Settng the right path (199365d)
        * If we fail, we need to really fail. (9db2ce5)
        * Adding a kill function, just in case. (e0d35fc)
        * Basic code calling all the properties. (a8b1009)
        * Fleshing out the server to setup a simple custom indicator.
          (83a3d84)
        * Switching to using a little autotest as well. (23b7242)
        * Adding in two little client server binaries for testing the custom
          indicator. (bca9b7e)

2009-10-21 Ted Gould

        * Change the enums to match the KDE ones to make life simpler even
          though I dislike the names. (0df50d7)
        * Turning on verbose output and showing the status of all tests.
          (5e34573)
        * Getting the prototype right. (5aeff27)
        * The signal should have a string not a enum value. (02cb525)
        * Making sure to signal if we change the status. (b08b158)
        * Adding test to test the property change signals. (5e1d1d9)
        * Checking all the set functions. (dc43af9)
        * Switching from doing the GValues as enums to the more specific
          types. (d11f7e6)
        * Silly, these are enums not ints. (fdd9a5d)
        * Adding a test that sets a bunch of properties. (795f7d9)

2009-10-21 Cody Russell

        * Ah, forgot a return.  Cody would kill me!  Oh, no. (0093c37)

2009-10-21 Ted Gould

        * Woot!  We can build a custom indicator, and it exists. (10e9550)

2009-10-20 Ted Gould

        * Now we're building a test, woot! (5e928c9)
        * Tests directory. (d28010e)
        * Fleshing out the get functions. (ada3399)
        * Fleshing out the set functions. (e932bfa)
        * Filling out some prototypes. (08c19ed)
        * Okay, connecting this little thing into DBus already. (81afbd1)
        * Making sure to free and unref all of our private variables.
          (484b489)
        * Now for some 'set' code.  Bringin' it. (59d8fbd)
        * Fleshing out get parameters... (23fdc86)
        * Adding in a bunch of things to the private struct.  We now have
          data! (b52ac88)
        * Basic property case statements. (56cd30a)

2009-10-19 Ted Gould

        * Creating a connected property to check easily. (b82c8da)
        * Boom, there are some signals. (9dbe19d)
        * Adding in the dbus signals from that interface. (6587e75)
        * Header comments and a new signal that we'll need to deal with.
          (bf1efc1)
        * Wow, properties.  The properties system in gobject is a little
          insane. (6da6b6b)

2009-10-17 Ted Gould

        * Changing the name to match the changes in the previous commit.
          (9e25a77)
        * Switching the name to be more consistent. (49bddff)
        * Getting the name change into the templates properly. (72815e1)
        * Making the enums camel case.  I prefer the other, but it seems best
          to match GTK style (06111bc)
        * Making sure to get the property names into defines so that we can
          ensure they're all the same. (7b45f65)
        * Filling out the property list. (a49c643)

2009-10-16 Ted Gould

        * Putting in our first property, status.  Woo hoo! (85b61a4)
        * Oops, shouldn't be CLUTTER there. (8dc712f)
        * Forgot to change the package name (63e10a6)
        * Set and get properties (31f519d)
        * Merging in the library interface. (227666e)
        * Adding the possibility of making the directories silently.
          (50e28fd)
        * Some small changes to make 'distcheck' happy. (f4f482c)
        * Another object file bites the dust (174af37)
        * Fixing the templates. (00c4764)
        * Filling out the enums to have values. (0b6ffb4)
        * Adding the C file into the build as well. (d7e3756)
        * Putting in the enum templates and building them. (ba81d4a)
        * Setting up build to build the enums. (5b8ab09)
        * Adding programs for buiding enums and marsherers and all that jazz
          (0336cb4)

2009-10-16 Emmanuele Bassi

        * Stealing these makefile segments to build enums and marshallers
          (8ad3fb0)

2009-10-16 Ted Gould

        * Building a basic prototype of the API for the lib. (1101075)
        * Adding in the DBus interface files and building of those. (664bc74)

2009-10-15 Ted Gould

        * Building a basic library starting out. (b666cc1)
        * We need a directory. (be305bc)
        * We're on the dbus branch now (e576b28)
        * Ignoring the generated dbus interfaces. (afd1d17)
        * Building the ChangeLog on dist (d6fb194)

2009-10-13 Ted Gould

        * Making sure we get our specs and clean up after ourselves.
          Distcheck magic. (df1cc80)
        * Getting some functions so that we can link happy like. (89ebfc6)
        * Fixing symbol names. (17192c2)
        * Getting to building all these header files nicely. (7b2c29f)
        * Some dbus y'all! (9fc5dd8)
        * A basical build system and basic files. (e265e46)
        * Building a basic indicator and the service to go along with it.
          (fb328a4)
        * Cleaning up status (d7640ed)
        * Local install on distcheck, now it passes. (683109e)
        * Wrong version (5b565b0)
        * DBus Service file (6e1d6b9)
        * Autogen and friends (7bd4902)
        * Very basic. (8f6b6e0)
        * First version (140fda5)
